commit 17f462bdce8588d1f72e169d29bbe7a1ceee4723
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 22:40:13 2008 +0100

    Revert "Convert about dialog to gtk-builder"
    
    This reverts commit 5dea934d413e713752ff83aba1ee8d9a16441e60.

commit 080ec93794a27f1c296563d99fca0e8d821a654d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 22:40:02 2008 +0100

    Revert "Add conversion script"
    
    This reverts commit fd7db3de1d002df585566a6ab3c62f368319b2a9.

commit 019e20f4fe72b036bdcbf70b18aad43cb9721a1d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 22:39:37 2008 +0100

    Revert "Add another .ui file"
    
    This reverts commit 95077cd63e2eb331586dab025cec326e72ce8a9e.

commit 95077cd63e2eb331586dab025cec326e72ce8a9e
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 21:27:29 2008 +0100

    Add another .ui file

commit fd7db3de1d002df585566a6ab3c62f368319b2a9
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 21:05:51 2008 +0100

    Add conversion script

commit 5dea934d413e713752ff83aba1ee8d9a16441e60
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 21:05:16 2008 +0100

    Convert about dialog to gtk-builder

commit f87e749e3de5dbe8aa31b77e2c7c9c15910d7064
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 16:31:42 2008 +0100

    Change signal priority so i can massifly improve the extra playlist plugin

commit 1cf2d932cadd59da722a937c1b8ae05ea6b83c77
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 23 14:56:32 2008 +0100

    Don't allow the last search criteria to be removed

commit 6d395b6baaa96047de2b58b74ae1f501dcaf73d4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 22 00:56:58 2008 +0100

    Add tool menu in tag2, file and find browser

commit c2b145a26e871b8ab722f12713f68e20007aaa68
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 21 21:40:13 2008 +0100

    Don't foolishly call fields the same name

commit e0b73b7b7791ec5bb8d7787885eb719d51cd06ce
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 21 21:38:31 2008 +0100

    Break plugin abi and add padding so it won't break next time.

commit 2689df5f561865b22794933532a5106e3b84ea2b
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 21 21:24:31 2008 +0100

    Extend vala a bit

commit d1e04196d60da74fdf89ed63a03920083131bd4a
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 21 20:14:23 2008 +0100

    aarg

commit c3964df4aa471ee97d1bfe0a5ab2405f81444ca9
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 21 14:41:48 2008 +0100

    Fix a memory leak

commit b1ba0ed0873b09b01b29bceaf7ff2e3cfc93b859
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 20 14:00:17 2008 +0100

    Add pl3_update_go_menu to plugin header

commit 46730e38a2430f163d38133ca056d34c5e6d4e28
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 20 10:25:13 2008 +0100

    Log if db actually updated

commit 75ad9bd5fa322cff40c7963142a02d27f5ba0edb
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Nov 19 21:08:25 2008 +0100

    Fix vala generated files

commit 8b9874c68379a3d58ffa4fc3253ca31f5d7a9dbc
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Nov 19 21:07:26 2008 +0100

    add test plugin object + interfaces

commit 3ccc1776dda184587c67fef27dd6a3ccbc3693ec
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Nov 19 14:11:12 2008 +0100

    On upgrade set icon-size to something slower, to fix old settings

commit 20dc4cb76333f5fbecf354b42d2442973da906c0
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Nov 19 11:47:08 2008 +0100

    Clean up the reset function in the tag browser.
    1. Remove button.
    2. Add keybinding (alt-r)
    3. Add item in option menu.

commit 2ffc07ccbf426509b6c896f26548ab52e4a39601
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 18 13:17:58 2008 +0100

    Possible fix for bug 1814

commit 4ea7108a13d522e6e771ed27abe4296badbcc04e
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 16 13:34:08 2008 +0100

    Allow the user to change to 'button view' from preferences pane'

commit bea3a37d223c85a2ffe83172c3729ba3ff33a14d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 16 10:22:03 2008 +0100

    Make the button bar a config option

commit b45f49a3034f9a96bc3da2c01edf8f3bea54a410
Merge: 0e4065d... b1dc5a6...
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 22:33:49 2008 +0100

    Merge branch 'master' into tabbed-heading

commit b1dc5a6217304e5bf88cbfe2c0e0306615a83ed6
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 22:33:21 2008 +0100

    Add 'add more' menu to tag browser

commit 0e4065d3d3b1125e5e6a5d8019aeae64121dbc3f
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 22:04:14 2008 +0100

    Add tooltip

commit b094289731c4696d641fccf4b487d30d52ec52a4
Merge: cd3918e... 38d0fbf...
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 21:44:10 2008 +0100

    Merge branch 'master' into tabbed-heading

commit 38d0fbf00851ff7635857d94911712303ce8095c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 14:04:37 2008 +0100

    Return to old sync update for progresbar

commit cd3918e7bac91ec2ff2fe8f57ca7ef1f2164d2fb
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 15 13:38:26 2008 +0100

    Add some code that does some tab like stuff

commit 8c22fc2e6ab59136f832278fd5ef8b4794e6086b
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 14 21:34:35 2008 +0100

    Fix progresbar colors so they work in tooltip

commit 15b03a0eea656d75a0780cf0be27634a3f5d4f2e
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 14 20:07:36 2008 +0100

    Change back some vala code

commit cdf1ddcf6ed4cc22e7705f2b4ea45fe5aac14bc6
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 14 16:26:15 2008 +0100

    Resize progresbar correctly on hide_text

commit 1f8afa652d1429bcc9e9c7bcf0afe5284725221c
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Nov 14 12:24:50 2008 +0100

    Other way to queue update

commit 5b2fc90beae7c1d8a7df3e7500ebbb6e0ded97a5
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 16:28:22 2008 +0100

    Don't do resize, just force repaint

commit 71181e03a0818fb38eb8056f81a896696ede7107
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 13:37:10 2008 +0100

    Add 3rd pb code and set default pb back

commit aa7b82ae4e0f22dd1d69836e612b995c28453bd1
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 13:17:39 2008 +0100

    Make other pb scroll + sseek

commit 9f45bfc29b66ae72a19e4c65f72101a6db5eee91
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 13:13:45 2008 +0100

    Add code that returns old progressbar

commit d1e8356b37930e93dbce2eaaf8c68f4207188571
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 13:12:19 2008 +0100

    Add code that returns old progressbar

commit 4a4e16bd1911eeb19e9259fb6b032cf4ecbc440f
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 13 10:03:34 2008 +0100

    Fix an assertion only used in one plugin

commit ce05ee3fdd6aa767a79826701913287230915a57
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Nov 12 16:41:58 2008 +0100

    Use audio-volume-muted icon instead off stock_volume-mute.
    audio-volume-muted is used by GtkVolumeButton, and I ship it for
    system missing the icon.

commit b535057be2f863eb0efdb39607337b5d1bf3eed6
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 11 23:13:58 2008 +0100

    Updating

commit e32bfa0d18a23dd0b357c51ec5c77630ade0100d
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 11 18:13:15 2008 +0100

    Add a --debug-updates comandline option that shows redraws

commit 12ad82d4e41f9e10e4ceef893887236c8880933f
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 11 14:43:41 2008 +0100

    Possible fix for play queue getting stuck in search view

commit 2465e0387f797c029cd88cffc6a4f99ef3cb10e0
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 11 13:25:54 2008 +0100

    Fix small memory leak in gmpc-clicklabel and add assert.

commit ddd9fddbb6233810de6fb0d41abb5cc3d0a9ed6d
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 11 11:44:22 2008 +0100

    Hackish option added to get old "left to right" tag browser behauviour.
    People can't wrap there head around the current filter way.

commit b4f0ee4aae09c4e5abb7b777e4762897808f304a
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 21:36:19 2008 +0100

    Bump version

commit d129c8ce2cded88c1913530b6e5c1b5dbd2f7590
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 18:54:35 2008 +0100

    fix possible buffer overflow

commit 154295064f70d0a2d9bf595f5a56b8a976c95cfb
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 18:31:13 2008 +0100

    Update some stuff

commit 218133d8b0a5a8642c16fcf14c02f1345a4381e6
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 15:50:35 2008 +0100

    Remove printf from gmpc-progress.

commit 1f82ab474eabcf594379b31258d50ff6d5f061f0
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:45:26 2008 +0100

    Fix copyright years

commit 4f6be49bdc1e8d3460ee18c8d8071a31b1bc6863
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:43:30 2008 +0100

    Cleanup+moving code around

commit b1683a299a5d661d675e2420cdd400351c89ea58
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:26:39 2008 +0100

    Use plugin system to send connection changed to playlist.
    Reducing main<->playlist3 direct function call.

commit 0d62fbb7bef6b850516d523ccbdb7825e888e117
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:17:39 2008 +0100

    Remove hack that caused invalid model to be checked.
    Instead of blocking changed signal, Check if treeview has model.

commit 4c70eca38af1066716b98f0fb612d7fa06977196
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:10:53 2008 +0100

    Put the default keybinding set in it owh header file.

commit 06e597e0ea9a67a9b4e3f196089f4f046c567612
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 12:02:35 2008 +0100

    Fix bug 1794: Don't set non-zero page-size on spinbuttons.

commit 1858d407188c41caaf1365fa780ce4dedc15849e
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 10 11:59:38 2008 +0100

    Always save/restore zoomlevel between session.

commit dce3def0f81e096bd510ef5d090b23154ce2ec40
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 9 22:37:57 2008 +0100

    Make gmpc remember progresbar state

commit 30c4b8c6031440363f718cdd13cd7736680075e1
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Nov 9 21:25:17 2008 +0100

    Updated progress bar, right click to get remaining time

commit 4688f82bfe2efa4efe997bd0f48d8602fb669a38
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Nov 6 17:52:42 2008 +0100

    ADd stupid new tagline

commit 65d70ee6d30e688b56338ef50171fb1c94878363
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 23:23:24 2008 +0100

    Automatically import old db if old version is < 0.16.1

commit 64e5580a22489dca7442540b217ac0b38afe7242
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 23:13:27 2008 +0100

    Write some import code for old db

commit cc9666d86967edbbffe44bc5d9524ebbb4fb295a
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 22:16:58 2008 +0100

    Add a script that can be used in a browser, gmpc-remote-stream

commit 82dcc7f07a19ff3b6a7617ca6fbc1d18f7f02cf7
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 22:04:06 2008 +0100

    Don't check if local file exists when url starts with http://

commit fdc6a06beae258c1e62a73895b4edd48d0233ec4
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 22:00:54 2008 +0100

    Make easy download also support local files

commit 5d5828bb0d5d8c776d72463a2837daccb8e29842
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 21:34:07 2008 +0100

    Update man page

commit c6d16e3bb739205a024cda0515b2073f6b91d168
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 21:32:43 2008 +0100

    Add the --stream option to gmpc-remote

commit e98a564eca415b1c0336b9151f8f2a18f6e329ed
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 21:17:42 2008 +0100

    Fix Volume change behauviour

commit 7744e5e58c3b85b856885284e46160b8521327f1
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 21:04:35 2008 +0100

    Move dark spot down

commit 4d69ccb905060c0d17b07c2dbed0289affdbf9cb
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 20:40:34 2008 +0100

    Add a gradient to the progressbar

commit 7585a33e8336993a4be4e03490080cda3378f0c9
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 14:44:26 2008 +0100

    Don't draw a border around the bar, the clip will make the border of the underlying draw visible

commit c17ce27d6cc87ea6e901172e20e90ef65ebf961f
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 14:41:37 2008 +0100

    Don't draw curved corners if we have the 'clip' doing that already.

commit a1bc65c33f8ba662216b87d5c28db570f440e5a5
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Nov 4 14:35:48 2008 +0100

    Clip the regon of the progresbar, so the bar does not draw outside that.

commit 4037166284525fc0ba8b2fbb1bdd583127f4c247
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Nov 3 15:09:39 2008 +0100

    update hungarian translation

commit 96570db8135eef7c26c6c1800b3ff88e23725c27
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 22:32:52 2008 +0100

    Color background better in tooltip

commit 461372e0ff6d23592a3d76c0a5b2ed24a594618d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 22:26:14 2008 +0100

    Improve curving and curve progresbar

commit 044a0c6c1413046c5efc53f5b9497e9cff34b5b4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 21:59:21 2008 +0100

    Sharper lining around image

commit 97a25fa8bd818a4c851f6fcff11699189e1dcf5a
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 17:30:28 2008 +0100

    Remove a printf

commit 4f0fb8e8aa3afc713e3cf479f07f6b05824695da
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 17:27:46 2008 +0100

    New Cover db format, needs testing

commit 7199bc16c3dd46c4244ae426876569004866414c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 12:54:48 2008 +0100

    Let tooltip use new progress bar

commit 7d70868c9c7399d047dcc146d4f0e5fa09d75c5d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 12:38:47 2008 +0100

    Update color

commit 0fe7f5d1ed8a92ff7006e8287e5d11c4ccad3200
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Nov 1 00:57:25 2008 +0100

    Add test new progress bar to main window

commit f091fbdc636547a107d46c00b59c67a00a3facac
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 29 21:51:59 2008 +0100

    Fix not correctly updating meta-art

commit 365cc1d4d1efc056881d5e8e76f2b7ccc2e0f544
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 29 15:15:14 2008 +0100

    Add 2 initial man pages

commit 21d5d350f368f9549e23485b8e009db8a09fb3b9
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 29 14:53:33 2008 +0100

    Fix building in maintainer mode

commit a91378257afba82a95fc08b2483fe49563914abf
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 23:21:38 2008 +0100

    Show items in combobox (in minimizedm mode)

commit 9c8538a054c0c5b8059fb43f1692b5e713548a88
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 18:36:12 2008 +0100

    Fix wrong update

commit 7393971b7db6b914f4bc8ba8fc29aaa103a6fb8b
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 18:06:03 2008 +0100

    Fix alignment of items col

commit 642068f3b9c97818e06049000011509871f576fc
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 17:47:57 2008 +0100

    Do the same for the Search browser

commit 0958595c7705cd92a7b46a63e86fc96ddff7fabb
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 17:41:05 2008 +0100

    Show number of songs in play queue in left pane

commit 80f4329c31e659190155e99d6f90432852a3a8ab
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 13:34:49 2008 +0100

    remove comments

commit 8b16ed7a736af63462407f06a21681c1c7716670
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 13:32:08 2008 +0100

    Speed up the saving of the config file.

commit 3f6a2ed7177d36fa7a35023cf32b82dea7e2b346
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 12:56:37 2008 +0100

    Speedup saving config by using fputs instead of fprintf

commit e9d2338e438e9f8605aa4d342e30486a3351e45e
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 28 12:47:16 2008 +0100

    Only close config on save, this saves times, making the db issue less problematic

commit bb774a61571886d74089346de37f956187a6229e
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 27 17:11:24 2008 +0100

    Allow drag and drop of images on metaimage

commit 7eb01595058c641410a93b6cc80b33d93afb41a4
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 27 14:23:51 2008 +0100

    Fix page size

commit fa1b4d3c7238bda4a506d4f67d77487d57db0175
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 27 12:25:41 2008 +0100

    Bump plugin api version. (Added plug->metadata->set_priority
    Move plugin errors to the playlist3-messages system.

commit eccfc4a0912235fc229e04d6cb9c7615c52287de
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 26 21:52:01 2008 +0100

    Fix bug 1765. Check before accepting a drop if file:// is supported and if http:// is support

commit 2e3a6b301f24df43304d8ff547b2ecea11208202
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 26 21:19:59 2008 +0100

    Fix for bug 1604.
    Added Menu entry under control, allowing to bind a key inside gmpc.
    (Default ctrl-m)
    Added multimedia key entry for muting.

commit 899df60c2ecf683d4275a03ad6e32a9ff5b3324b
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 26 10:21:21 2008 +0100

    A fix for bug 1767.
    * Fixed order of the collapse/expand.
    * Fixed that expand keybinding does not collapse.

commit bd94d297f5b42f28954ba87e283e8e9be86c972a
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 22 21:39:26 2008 +0200

    Support for the new playlist command in mpd

commit 4360c83c27347790bad821f2a332ad06299a5fb3
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 22 17:43:09 2008 +0200

    make it so  you can drag and drop files on gmpc, and it tries to play them using mpd

commit e1b4e5f4c7741b71a99073e030a63d6cbed54067
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 22:47:03 2008 +0200

    Add Romanian translation

commit 0d4712db16b9ccecbdaa48be9199962d329c8a88
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 17:16:40 2008 +0200

    Fix compiling with maintainermode

commit 65f35cb6ad06b6475957d14f5580cb0eeb0d2799
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 16:43:32 2008 +0200

    Avoid updating when skipping between songs of same artist/album

commit 0149ff896a1e6b31a235e6da458c2822e90ea042
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 16:39:08 2008 +0200

    Avoid false updating of
    
    * Tray icon tooltip.
        Check if the tooltip is showing the newly requested file.
    * Meta-art.
        Check if the artist/album is the same (only when auto-follow playing
        song)

commit 75f9998fb8de66f94ad6cf6369ea0adcf393e66c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 16:01:11 2008 +0200

    Change sorting so it does not sort on artist

commit 1b60418b3c7e5f1242cac6992e87914541845fdd
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 13:00:24 2008 +0200

    Put a border around the songs lists in metadata browser.

commit d7a2682fcb395269aa479a49cb3c4656a7262dc4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Oct 19 00:17:30 2008 +0200

    read out signal from mpd

commit a4106f016024d28262b77357de31b9b9e796c7f5
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Oct 18 20:40:07 2008 +0200

    moving stuff

commit 57b4b6b18e71121224f550212288d91a403f74c2
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Oct 18 17:01:21 2008 +0200

    Fix sorting fallthrough

commit 6546c8d233c1c9c18651e724b352576e3967b6c9
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Oct 17 22:43:15 2008 +0200

    fix typo in autogen.sh

commit 0d5c967ea56ea06c750c4d8efd8d5871aa79939f
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Oct 16 23:20:27 2008 +0200

    Fix bug where similar artist/similar song updates when new metadata for other song is found

commit 4544ca19c847b432b52afe00d0a7fcb85b612d63
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Oct 16 23:07:36 2008 +0200

    Fix showing off similar songs when first queried

commit 495319ad97709427f0ce85da67218e9d5b574de6
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Oct 16 16:56:16 2008 +0200

    Fix rasi's quatro-click frenzy

commit 0eaf1c3ea59f4f7592400680361284dd37b7fb5c
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Oct 16 13:32:20 2008 +0200

    Show keybindings in gui as configured in the config file.
    Add repeat/random to configurable keys.

commit dad4f23bac4cbb0daf93ec2d58e155cb0070e5bf
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 15 23:00:37 2008 +0200

    remove old code

commit d495e41d39a95dfe96f52c44dd49eaa7d71b85a5
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 15 22:56:16 2008 +0200

    Make songs with same title use treeview too

commit 5efd10a0d83519c81a5be290782185cf55d90ecc
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 15 16:14:30 2008 +0200

    Move similar song list to a treeview

commit b9ae00b1a75ce3dbec7c0d49584c4fcd133b56d8
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 15 15:51:38 2008 +0200

    Moving right mouse click fix to GmpcMpdDataTreeview to reduce duplicate code.
    
    Metadata, currentplaylist, find and file moved.

commit 4c0ccc62e0c7b0f47ef5d52ebeea8faaa17583b4
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 15 14:33:29 2008 +0200

    Test code in metadata browser and fix rasi mouse click bug

commit a1e32129baa8a2e72655c15152c1a671dff928b3
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 13 21:27:11 2008 +0200

    Cleaning up similar artists.

commit d70962f00cbdebd0d283915714a58e8703d3d76e
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 13 16:45:54 2008 +0200

    Uber first-prototyping-testing similar song code

commit 890eb29340586da8d4957fbe8c24069f90b3a18a
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 13 15:15:54 2008 +0200

    Add the META_SONG_SIMILAR type to metadata.h.

commit d84ec8200c2f7068da2eff594e92d1fb3fb7a590
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 13 15:03:11 2008 +0200

    Fix for bug 1745, now sort year/artist/album/disc/track

commit 8b6b84f176ee79a9ddd07cc8427c2b5efa382a53
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Oct 10 11:14:18 2008 +0200

    test new ssh key

commit 198b4a82293f1554a123917adb4b116cec5768eb
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 8 12:13:10 2008 +0200

    Fix icon mess

commit eb70dc27870256df7cd4ff8beb52b88a38d75b5a
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 8 11:59:38 2008 +0200

    missing Icon fix

commit 97a797f511f0c549be7e48236a315b0a67a442cc
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Oct 7 11:20:04 2008 +0200

    fix a screwup of yesterday

commit 8e7e7ef043eb1f9ce1d3ca61ceb9902f2fe3a99c
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 20:13:27 2008 +0200

    Add version string to config file, hopefully fixing stuff.

commit 9267e6faa853803c82ffadcb25228639c835a830
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 19:46:02 2008 +0200

    Fix c90 somewhat compile stuff

commit 4fb826f7a7f119dcbc51b130ac951839f363af93
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 19:34:33 2008 +0200

    Make the config parser recursive, support better trees.

commit 24cb400372a80fa98b1270ba96a27465955654bd
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 17:33:18 2008 +0200

    Sort keybindings

commit 64738fdb6e2c5da32b662eb5bcba374349a82676
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 15:06:49 2008 +0200

    Fix default keybinding for stop

commit a99ac971d34d09a84a96ed716f9165df63d71ff8
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 15:04:21 2008 +0200

    Some moving around of code.

commit ead8ddcb35fcd0a1790681857bf3138db472b671
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 14:52:13 2008 +0200

    Improve keybinding system,
    Multiple keybindings for one action is supported, also actions _can_ be chained.

commit 161bc4f0c7afda1bf89fc54aecc3e1df54f9bc95
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Oct 6 13:05:55 2008 +0200

    Adding initial support for user definable keybindings.

commit dbaa9f06c8fa8813c3b1c4aa620a305adf48d146
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 1 16:28:41 2008 +0200

    Hack to make pref window update with tag browser column change

commit 620445db0d056b63f4c5e90a57bb0ef2c8195843
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Oct 1 16:09:44 2008 +0200

    Possible fix for the "missorting" after removing a tag browser column

commit 77c24b95f45ecda95729e16215d2b583693b87bd
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Sep 29 13:25:18 2008 +0200

    More configure.ac cleanups

commit e2be011335a2134e93e95495f6ae3abc8029069c
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Sep 29 12:52:26 2008 +0200

    Support albums with no title in tag browser

commit db0b6038d740374fe68465fb4decd67ff98dca2d
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Sep 29 12:34:24 2008 +0200

    Start at cleaning configure.ac

commit bb1fbba5075e250e2299e262ff1305c5546db0ea
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Sep 29 09:37:44 2008 +0200

    Disable fortran,c++ check. Possible fix for not working images on packages

commit 7b7d21f7c2ff86d08658b3a353523707841393a9
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Sep 27 19:48:47 2008 +0200

    Remove  text between () in album and tile when searching for metadata

commit 5a30dd25289e7b3789a97e389aa2be75dfbc98c0
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Sep 27 10:11:41 2008 +0200

    improve some debug output

commit bd134c711ea6472569406686eda3072dd3a94cab
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 16:28:00 2008 +0200

    Fix asserts from false->true

commit 1d16a15222b2b15f094b720f4ff80acb2714cc98
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 15:21:57 2008 +0200

    Bump version so plugin can  depend on that

commit a49ef2f7e72f65471099970a17dfe912f7200e79
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 15:21:30 2008 +0200

    Add function to get metadata filename

commit 1ad02087873eeca19f6469ae9930d75ad9f915cb
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 09:46:55 2008 +0200

    Add debug

commit 7684d0dec1cc58e8d70527ae9df620ffd286687d
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 00:46:55 2008 +0200

    fix possible resize issue

commit df9e9a0d2d7a66d375cf44f6f0ff1bfe5190550d
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Sep 25 00:25:12 2008 +0200

    Add restore printfs

commit 3089a35ba7a96fac8273ccdbd4b675728eb135e5
Merge: eaf57b1... 050c193...
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 23:25:13 2008 +0200

    Merge branch 'master' of git://repo.or.cz/gmpc

commit eaf57b133b793784af435bd90aaee40340e8bc59
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 23:25:04 2008 +0200

    Trying fix bulding with NLS disabled

commit 050c1939528b2d484f93c0832b21e0f1df086a20
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 21:13:19 2008 +0200

    Bump version

commit db0e83cf14ae17f30a896280fadcfdb63de7c365
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 12:59:50 2008 +0200

    Reduce memory usage a little by avoiding the cover-art array to be initialized in models that don't need it

commit 36cdf41e8b299e0cf8b141853441b3fbcdb037e7
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 12:38:38 2008 +0200

    Add a compile option that prints out timing output on gmpc's startup and connection.

commit 989a7b413ac56e8abeefb3adef3d4e13a9815a32
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 11:34:41 2008 +0200

    Enable keybindings for copy/cut/paste before/paste after: ctrl-c/x/v/b

commit 2144778c5e0eb01726adb7c274c22ce57626d896
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 11:19:04 2008 +0200

    Fix re-updating tag browser on db change... Now also maintain selection after update/reconnect.

commit ec3a33e7e2da7ecc4fe1919f6cc923e52713018a
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Sep 24 01:32:20 2008 +0200

    Add paste-before to the play queue.

commit 18c82b36a04d893cdbfd4e9a98e35ef9b6e76e7d
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 23:43:22 2008 +0200

    Fixing a crash and reduce memory usage. Also remove printfs.

commit 57f2af4a09e9ec2922e1d381bb48049cb938eae6
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 22:32:31 2008 +0200

    Change title

commit c58fc2adc94225920fbc4220a60e36c19d6215f3
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 22:30:05 2008 +0200

    Add cut/paste support in the playlist, to move larger blocks around.
    This however is broken in git, or in stable.. Don't ya love mpd.

commit 28e65f30d0b1bceb4fedc3d917c3a9be46ab800c
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 17:08:26 2008 +0200

    Fix bug when entered a incorrect/insufficient password in setup assistant.
    bump libmpd requirment.

commit 27435c6834b253340d56a5cd47acf0eb59b4d803
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 13:48:34 2008 +0200

    Fix compile warnings

commit 354612c54f5b6c2e795da8b2f333d938ffa8aabf
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Sep 23 10:47:02 2008 +0200

    Show "finished updating" in messages.
    Fix showing updating on connection.

commit c7cd3058417b8a21cd3d85ea491f3da33e8ae9d5
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 21 13:41:28 2008 +0200

    Remove even more stupid icons from when glade was even more broken.

commit 2f1292988399f37c9102507a275b919786bb804b
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 21 12:44:44 2008 +0200

    Tag browser:
    * Fix showing of cover art in some selection scenarios.
    * Add right mouse menu information to artist/album (if artist is selected).

commit f9d7f010226441659fcba797e4497283b49bb203
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 21 11:55:20 2008 +0200

    Fixing copyright notice, this can now be set central in configure.ac.
    Add copyright + tagline + website to --version output.

commit 11bd8ec6a21752f52f531ffd83e7376cba7ce539
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 21 11:13:37 2008 +0200

    Don't allow the window to go fullscreen in mini-mode.

commit 857f6558187d9f77474f279ccb50b6eafb80a50e
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 20 23:12:57 2008 +0200

    Printout a line when starting to handle a request int he metadata thread

commit 2d5bc9638288f626e8ac5c5e3a8233890db9df57
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 20 22:30:21 2008 +0200

    Adding extra debug statement

commit 6a88aab89a62fac72950652c773460e3c5bd2dd6
Merge: 0beb354... 3ff56f6...
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 19 21:17:51 2008 +0200

    Merge branch 'master' of git://repo.or.cz/gmpc

commit 0beb3547684c991d526a3d481f6e2a6bec337793
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 19 21:15:29 2008 +0200

    trying to fix hungarian translation

commit 3ff56f6476c6ad754eb589154a910a80bb21170b
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 19 17:32:33 2008 +0200

    Bump version

commit cdefe410a9fad1044fdc42c80827a44e44b0e919
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 19 15:30:49 2008 +0200

    update hungarian

commit 3e3e4d6fec40f6c299454eb8a283715d49d94d5d
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 19 15:30:09 2008 +0200

    Adding Bulgarian and Czech translation.

commit 8753a9524376dfc14f097d0cc75e223eca2a7c0a
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Sep 15 12:17:55 2008 +0200

    Fix a off-by-one error in the positioning of the source pixbuf

commit e9bc44c4c3fa5236c5517bede1b6cb7c383b8f02
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Sep 15 10:35:49 2008 +0200

    Set artist image squared, to avoid redraw/scale errors

commit cff9ca264b934862259592187d956537b64fc3f2
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 14 22:10:52 2008 +0200

    Cleanups

commit 1efd0960985cc01cc47bb69ee98d63ec09dfb460
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 14 13:26:28 2008 +0200

    Fix merging, newer vala with correct dispose

commit 7b3b66ab81fd7bab9dd68aaabb0ca9534f6f96c2
Merge: d75aafd... 2924413...
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 14 13:24:52 2008 +0200

    Merge branch 'master' of git://repo.or.cz/gmpc

commit d75aafd0a2320473cac27bd50ae8ab4996c7aa02
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 14 13:24:35 2008 +0200

    Put cover image in old place, and fix scaling of the cover

commit 29244133767f43e1a61c044a7183a0dba3c95594
Author: Qball Cow <qball@S010375T.(none)>
Date:   Sat Sep 13 23:55:47 2008 +0200

    reduce rounding of the image

commit eedc5863706cc4ff7619122eb51a7785490b3446
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 13 22:57:41 2008 +0200

    Speed up the fade

commit 3409f14a43dc7066e2de4e539e1ecfc3520b3162
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 13 22:45:25 2008 +0200

    New "animated" image widget

commit 7d0ca8c64582a374e2816ace18727de99ae72bb9
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 12 21:37:28 2008 +0200

    Put text back in progres bar

commit 931926668791d24589f33302b63cc0467d650b15
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 12 21:09:53 2008 +0200

    Reduce the size of the header a bit

commit 51b4c6bd8150f095cab8e26ab2e45c5c95274b1c
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 12 18:25:59 2008 +0200

    First context item equals double click

commit 471d96178ce366a6a713408430129a8c2c86d2e8
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Sep 12 18:10:59 2008 +0200

    Make first item in current playlist context menu same as double click.

commit 720c0ee05c7191a45b7755d25308a167510e0591
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Sep 8 13:43:05 2008 +0200

    Update translations.

commit eb6dd24916cf23d63ed7c87fb6c4771f5644556e
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 7 21:17:28 2008 +0200

    Trying to fix avuton's bug

commit 45249c9c9d5cb11858231865be0e5781736e6e4f
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 7 18:52:48 2008 +0200

    remove regex from cygwin

commit f5dc3f34fd74f4722524ce8d12474e1ccbfda220
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 7 18:49:26 2008 +0200

    Added -lregex to mingw flag

commit de691d4b45ad430a65a765a8f61f9fac75f2ee3e
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 7 17:08:10 2008 +0200

    Fix bug 1721, Adding a directory column to the treeviews

commit 52a58fba17399c889c88d543989f5395f43be980
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Sep 7 16:54:42 2008 +0200

    Show 'songs with same title' in metadata browser song view

commit 3e6858f2d72ef994ce4235eb02cb3bdf3b56ff46
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 6 23:39:00 2008 +0200

    Reducing some borders/spacings

commit d0a765d081ad217213fa877f6de45247579a0339
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 6 21:53:55 2008 +0200

    Tighten top bar metadata browser a bit

commit 8afc26431a85f1a21c7816a54b2a7c62c383e231
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 6 20:37:12 2008 +0200

    Update translations.

commit 7deb8e4195960a645ac389977bf41139ec4787a9
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Sep 6 16:34:21 2008 +0200

    Don't show notification when gmpc is fullscreen

commit 56bd2ca1552f3ef3a59bb4bba056cea3f3283858
Author: Qball Cow <qball@s010375T.(none)>
Date:   Fri Sep 5 15:55:58 2008 +0200

    Remove some outdated documentation.

commit 4ae899972c6450074783f57a4bf034fa427c8dca
Author: Qball Cow <qball@s010375T.(none)>
Date:   Fri Sep 5 12:33:05 2008 +0200

    Version bump

commit 905bb2eb29dac38181c21022729eb33a4d1c5315
Author: Qball Cow <qball@s010375T.(none)>
Date:   Fri Sep 5 11:28:37 2008 +0200

    remove printf

commit 82f6613bf18c869bd3a3ea6503994debdaae12fa
Author: Qball Cow <qball@s010375T.(none)>
Date:   Fri Sep 5 11:16:40 2008 +0200

    Work around a "bug" in the latest murrine engine. (it does not accept a NULL pointer for widget in gtk_paint_*, while the api allows this)

commit 4d7b7cefc8d5d2c3291c48fd86d4e6af40109a68
Merge: 6b0509f... 94aa6c1...
Author: Qball Cow <qball@S010375T.(none)>
Date:   Mon Sep 1 17:00:56 2008 +0200

    Merge branch 'master' of git://repo.or.cz/gmpc

commit 94aa6c11df44b9b8382e37b08866a7ad5de331b8
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Sep 1 17:00:39 2008 +0200

    Updated polish translation

commit 6b0509fd9e42b074aaf4a46cba97ffd5e1699f61
Author: Qball Cow <qball@S010375T.(none)>
Date:   Mon Sep 1 12:29:28 2008 +0200

    Delete dead comment.
    move to g_timeout_add_seconds()

commit 9ee222b9fba11363256a32805bad5213ccbdc76a
Author: Qball Cow <qball@QDesk.site>
Date:   Tue Aug 26 13:54:00 2008 +0200

    debug printf

commit cc0f4da73943ddb0adc62872ca6ec2c1aa4ececa
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Aug 25 09:50:13 2008 +0200

    Updated polish translation

commit 41becf375602e304330903686f86f04e4d5b13ee
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Aug 24 20:56:32 2008 +0200

    Add hungarian translation

commit ea90f16de26ba3cb3ff4e4b2038e4cecacf714bf
Author: Qball Cow <qball@QDesk.site>
Date:   Wed Aug 20 22:43:13 2008 +0200

    bump version

commit 2817d12234c29f7131f6bb05c2b27de5cc3dfe3b
Author: Qball Cow <qball@QDesk.site>
Date:   Wed Aug 20 15:52:07 2008 +0200

    Fix hang on pasword dialog

commit b18f95fe2e2be9bc377af59587d1d2d9c94f19ea
Author: Qball Cow <qball@qball-netbook.(none)>
Date:   Mon Aug 18 14:24:53 2008 +0200

    Updates

commit 6f8222e78360288d35f142870b4d4c9ecaf588b2
Author: Qball Cow <qball@qball-netbook.(none)>
Date:   Mon Aug 18 12:43:26 2008 +0200

    Remove severall unused declerations from main.h

commit 90d29ea4d17bcf142321811fb77c7e12f3e7ea4a
Author: Qball Cow <qball@qball-netbook.(none)>
Date:   Mon Aug 18 12:22:25 2008 +0200

    Remove duplicate decleration in header file

commit 25c7bd745939ce226605c3ef40a65efae2014876
Author: Qball Cow <qball@qball-netbook.(none)>
Date:   Mon Aug 18 12:11:50 2008 +0200

    Remove some headers from main.h. So not every .c file depends on those and get rebuild.

commit 222a1bb23d1bfed163bb1a2bd8e0798af3690f0d
Author: Qball Cow <qball@QDesk.site>
Date:   Thu Aug 14 20:34:29 2008 +0200

    Bump version

commit 685e73768ed67ad006a908d2c49ccaa4da2f5f7b
Author: Qball Cow <qball@QDesk.site>
Date:   Wed Aug 13 16:02:11 2008 +0200

    Fix build check for gob2, it now exits when not found

commit ed80e1f46e8e1da6c91def470faf00b07c9433f8
Author: Qball Cow <qball@QDesk.site>
Date:   Wed Aug 13 13:05:44 2008 +0200

    TFKyle grammar suggestion

commit 875869d2635b183efea136565e8173c646a16b94
Author: Qball Cow <qball@QDesk.site>
Date:   Tue Aug 12 22:23:04 2008 +0200

    Bump version to 0.15.99

commit 503b4a305819616d71c4f9053b51735a8ecc7e68
Author: Qball Cow <qball@QDesk.site>
Date:   Tue Aug 12 13:00:13 2008 +0200

    Fix small typo

commit 9b55da479a5ebd8a0ba9f89d7411e99540df42a2
Author: Qball Cow <qball@QDesk.site>
Date:   Tue Aug 12 12:57:46 2008 +0200

    * Check on connection if mpd >= 0.13.0. if not, disconnect stop autoconnect and give an error message.
    * A visible error is not overwritten by a lower level error message.
    * Don't close an error message if an non-displayed error is showed.

commit 3b0acf0acf143bbd7d01a54fff4a87f07a848f7f
Author: Qball Cow <qball@macmini2.local>
Date:   Mon Aug 11 10:44:18 2008 +0200

    Remove references from other branch

commit 55df36af58a438ed07e1e83ed48aff0d41e730a8
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Aug 11 00:00:25 2008 +0200

    Move more stuff to configure system (bugtracker, website, tagline), make link in about dialog clickable

commit 635bbd59c789da678684b86b97d59df50509d057
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Aug 10 23:29:22 2008 +0200

    Make shadow a tat smaller

commit 062e1f91764faf5ccf46e6e0f1d186dd8dbb4ea7
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Aug 10 11:01:01 2008 +0200

    Update polish translation

commit 8e9d2e8de953c11e0f1bfed6607326cd62690a6b
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Aug 8 15:19:46 2008 +0200

    Update dependencies

commit 68e0e6d7a273db735225c3ce82c260652afed399
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Aug 8 15:02:22 2008 +0200

    Bump version

commit cbe47cf93d08745a4c31ae1ae86512742a9ea18c
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Aug 8 13:09:10 2008 +0200

    Add 2 menu entries to help

commit f5f8d8f719d48ce31f6aa28cfac46b020c84bf8a
Author: Qball Cow <qball@QDesk.site>
Date:   Fri Aug 8 00:13:30 2008 +0200

    Test option added

commit a606bde6dd48202094fbf64e9b0b9e269a749fb9
Author: Qball Cow <qball@QDesk.site>
Date:   Thu Aug 7 22:12:56 2008 +0200

    Fix a small memory leak

commit 3293af41872d05835cf5c28c9de688215f920a15
Author: Qball Cow <qball@QDesk.site>
Date:   Thu Aug 7 15:29:03 2008 +0200

    Support for extension column

commit 17a597ef46de9a6ce5d41ec4dde60b59ac6d60f5
Author: Qball Cow <qball@QDesk.site>
Date:   Mon Aug 4 17:01:05 2008 +0200

    Remove deprecated regex

commit f1abb153b497cc2a3ef346fb4a4a0fc316f4de23
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Aug 3 21:51:37 2008 +0200

    Fix click behauviour songlist in tag browser

commit e6becf5e77bbc10b8d5d87d9bb3b287efa4de236
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Aug 2 21:20:30 2008 +0200

    Update translations

commit ebdd8281f3fcb4a1324a094877b2f08d154f022a
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Aug 2 21:06:59 2008 +0200

    Remove dir

commit f98f11f853d6612a13c1a3d9fc5e471ccabbb350
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Jul 27 16:34:45 2008 +0200

    allow user to enable rgba window for murrine engine

commit 100d3b5c82a5e8d6a7fb30c42bdf80aabfe05c76
Author: Qball Cow <qball@QDesk.site>
Date:   Sun Jul 27 15:48:24 2008 +0200

    Add translations.

commit 63628050165728bcffcd648f5dd87a349be25f95
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Jul 19 20:39:41 2008 +0200

    A small gui improvement to metabrowser

commit 6dc51910a32c97a00452939d089c332d838c4bbe
Author: Qball Cow <qball@QDesk.site>
Date:   Sat Jul 19 17:39:15 2008 +0200

    Make artist image resize when pane is dragged

commit 4f52356069edc8e2cda3152810e0810c3561fc3d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 12 23:39:46 2008 +0200

    update

commit ece3cd98542c527f871ed312e7816134fa3510e1
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 12 22:59:43 2008 +0200

    Some cleanups

commit 49202622ad2dfe661ba3058b4042b0d8d7a0eef2
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 12 22:40:03 2008 +0200

    Add check for intltool version, so make dist works for intltool 0.40.0 too

commit e1dd166a323b6db024e896e8983bb1a18ec2b14f
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 12 20:26:19 2008 +0200

    Improve pause icon and fix install location.
    Run make uninstall before updating/installing this one.

commit fc034dc47cf2ae94eb7a1b3d92b35380b397dee8
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 12 00:03:19 2008 +0200

    Improve pause icon a bit..

commit e6dd8e5fea8c4f7e113592a52e675c3d6d65f696
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Jul 7 23:37:21 2008 +0200

    Destroy the metadata system, BEFORE destroying the plugins it uses, avoiding race conditions.

commit 91d5293493dc0f2d5d0c5f82dfaf4f76a367ab03
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jul 6 23:27:26 2008 +0200

    Updates

commit 4a0627c88c3d283ecb7c3d99285b477930f276ba
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jul 5 17:36:32 2008 +0200

    Improve quick search

commit 70729db381b9f1e9d7ef1f5fd232d23aeff2043c
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Jul 4 23:03:14 2008 +0200

    Fix mac linkage

commit 9eb4b3db6ed4a5af3a1c9a983bf1041ee1bb0a99
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Jul 4 15:48:17 2008 +0200

    Add scalable icons

commit 8ed339059c65a513c98442af750628538b63bfc8
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jul 4 09:51:37 2008 +0200

    Make subdir use strict build flags too

commit a327ccb9519bf209c8d344187ae7691ae18fc8a8
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Jul 3 23:45:54 2008 +0200

    Moving icons

commit b8d7a3ec691fb9dc763973125635b22e17a0c0db
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Jul 3 23:27:21 2008 +0200

    update copyright

commit 98c9b2d897afb54049b77c23f390ebb2c33d6fa1
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Jul 3 23:24:56 2008 +0200

    Adding new tray-icons.

commit 534fcb3f7df54ed2d9e9f8136fbc01daa99024dd
Author: Qball Cow <qball@s010375.(none)>
Date:   Thu Jul 3 18:57:27 2008 +0200

    Make the compile requirments for admin mode stricter, and make it compile with these strict flags.

commit a0b274af9d802b4381b9cfc4e1a42d480a24a793
Author: Qball Cow <qball@s010375.(none)>
Date:   Thu Jul 3 07:49:21 2008 +0200

    Be a bit less latin centric.

commit 762225f43d6d0ab769d65f143f619069db7cb1d6
Author: Qball Cow <qball@s010375.(none)>
Date:   Wed Jul 2 18:11:59 2008 +0200

    Speedup deleting of songs in the playlist by avoiding possible roundtrips to mpd.

commit d41f10faa27e5c7c20fdb625ccccb320cb55416a
Author: Qball Cow <qball@s010375.(none)>
Date:   Wed Jul 2 08:25:38 2008 +0200

    Make crop work correctly on a filtered list.
    Avoid that crop on a not-filtered list queries all the not selected and not-yet-fetched songs.  for large playlist, this is going to make a difference.

commit 0ee8e302195beb88e144f31685ec615c8ee48638
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Jul 1 22:36:43 2008 +0200

    Remove Makefile.arch

commit c92828793e34e0346fc6594bf6483a7db6fff302
Author: Qball Cow <qball@s010375.(none)>
Date:   Tue Jul 1 21:27:01 2008 +0200

    Fix a few bugs, add a maintainer mode to the build system.

commit 17ca1bf97aa00fa18b82dbd6eeaed0e636bbbe2b
Author: Qball Cow <qball@s010375.(none)>
Date:   Tue Jul 1 17:56:01 2008 +0200

    Add an option to disable tooltip

commit 7616edbb4712115445de5848cb69d881158e4be9
Author: Qball Cow <qball@s010375.(none)>
Date:   Tue Jul 1 08:10:41 2008 +0200

    Fix connect in menu

commit 0d4f2404f0b82c030e323ee863d9177406a2541f
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Jun 30 21:55:01 2008 +0200

    Typo fix. causing 2 signals using same id

commit e96c63085a4bbcaf0a423c9dcbcc4b55619541b1
Author: Qball Cow <qball@s010375.(none)>
Date:   Mon Jun 30 21:43:29 2008 +0200

    Make the gmpc connnection preferences window self-containted (no global variables at all) and make it listen to all the profile-changes signals, so it updates when f.e. avahi updates a profile.

commit d043b5bdd57d0561b6ab3cac3af9696d29756fbe
Author: Qball Cow <qball@s010375.(none)>
Date:   Mon Jun 30 18:34:52 2008 +0200

    Cleanup the connection preferences window a bit

commit 7daf9219e9a64a5c608781b255748d7ce934ee6e
Author: Qball Cow <qball@s010375.(none)>
Date:   Mon Jun 30 01:40:05 2008 +0200

    Fix make distcheck on ubuntu (leading), fix icon in assistant

commit d1f0883154fbbe1e2201df0747127cbe2a4ec60a
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Jun 30 00:37:49 2008 +0200

    Update translation files.

commit ef62d6ce45e3cfcef857fa2c95f394164d76e616
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon Jun 30 00:36:25 2008 +0200

    Add a setup assistant.

commit cf4528d764df1f1b5e47702b71dae5a63b8eb4df
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 29 21:20:28 2008 +0200

    Add scalable version of the gmpc icon.

commit 40f7b29bbee1287e3066b8ad4a3aa36864850137
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 29 20:03:31 2008 +0200

    Update the iconcache for the global theme directory

commit 9df7973fe5a6dd700b30b5bcf1089679eac6ba46
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 29 19:04:52 2008 +0200

    Update translation files

commit 66a1bca728e99fe78475a27ca2546e98573538cf
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 29 18:02:18 2008 +0200

    Close the quick search when a song is selected.

commit c95a3ca093cc73df2e011fb5e91007563e8bc9f9
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 28 17:39:27 2008 +0200

    Fixing installing of headers.

commit 02386f0995ea284932523151033c687e7182ecc6
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jun 27 14:05:44 2008 +0200

    update author file

commit 7e7f893803b8ff593b4804f99086b25ddf89d280
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jun 27 14:04:11 2008 +0200

    New gmpc icon.

commit b8e263e490bf4d81d782878e0883dbbac24acc88
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 22 21:30:02 2008 +0200

    The id3 browser now centers on the selected row, improves usability

commit 0fbafec54c63c6907d076843e399a8e45f85ea44
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 21 23:45:23 2008 +0200

    Do some black-ish voodoo to make gmpc pass make distcheck on archlinux

commit 786834ff1c74b9a06122794f6796cc1c824b2611
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Jun 18 21:38:37 2008 +0200

    Update what's new

commit f7ed392575f9f72459164d8f0ca9b6dcab146a32
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Jun 17 21:48:09 2008 +0200

    fix typo

commit fa6555f3e93264bf60e5a37278664e80b4238149
Author: Qball Cow <qball@s010375.(none)>
Date:   Tue Jun 17 21:12:50 2008 +0200

    Add's a whatsnews

commit 5ae004623939104b470f4c07bf6f4fedfde01c26
Author: Qball Cow <qball@s010375.(none)>
Date:   Tue Jun 17 14:26:02 2008 +0200

    Fix compile warning

commit bb741a1e3e2118e7d11325003eca04bc6a5a0edd
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 15 22:02:07 2008 +0200

    Adding 'Duration' to the tooltip

commit 864d0437b622a427e08efd5b5956db3a5f02af2d
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 15 14:54:36 2008 +0200

    Re-order keybindings

commit 2f9b0b04f920972b290e559db8a5eea8d5e04eef
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 14 12:45:07 2008 +0200

    Remove deprecated gmpc-volume icon

commit bbe88aae05804e76d85df54c1e55df0e96374213
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 14 12:31:17 2008 +0200

    Add missing scalable directory.

commit 5d29db2fd5095cf7c215a06803521f8abc6fee20
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 14 12:27:55 2008 +0200

    Add icons that are missing in gtk. (while used by gtk stock widgets), I hate doing it, but it's faster then trying to get it fixed in gtk.

commit 19edc9bba34fcecb055391c72eedef2fc39ffd19
Author: Qball Cow <qball@gmpclient.org>
Date:   Thu Jun 12 14:53:03 2008 +0200

    Make the tooltip a bit more pretty

commit 3a84b6a119a0b6c3e75f11282ca7327303d40c02
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed Jun 11 21:02:16 2008 +0200

    Change from 4 digit version to 2 digit and bump to 0.15.6, next release version will be 0.16.0

commit 5733ad4f76110903724fb32374fc45b2219540e0
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 8 21:34:06 2008 +0200

    Make the tooltip global for all GmpcTreeView's, add an option to gmpc.cfg to disable the tooltip.

commit fd302dbcc56ae7ddd32d1f087093cb24b8b36d0c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 8 20:30:04 2008 +0200

    Fix arch workaround fix update

commit 71fb3a166470b2c5f0fc823e70774c5a78171f99
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 8 16:49:13 2008 +0200

    Testing tooltip in currentplaylist

commit a3613982f5371bcd0340a4f5f56bb803765cd6c4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun Jun 8 11:51:07 2008 +0200

    Fix weird total song time when having streams

commit 8346e581b40acb41bc1a6281a05d79a6867d27ef
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 7 16:05:45 2008 +0200

    * Add an option that gmpc stops mpd playback on exit.

commit 3260faf4ccf29d6b7e0a58c5adc838e7e3794421
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Jun 7 15:30:13 2008 +0200

    Cleaned up mini view

commit efdb15a67072a3ecc508e76b3aba943bc3d0bb4f
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jun 6 18:15:24 2008 +0200

    * alwas make the url-fetches enabled. pointless to turn it off.
    * Move the right mouse menu item to a better place.

commit 0155c69ea1e2b16174dd27da6fe090065b1b47a9
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jun 6 18:06:37 2008 +0200

    Remove some ifdefs for gtk 2.12

commit e7f5ee98ec61fe3acc1ccc276a4e3c48419a990b
Author: Qball Cow <qball@s010375.(none)>
Date:   Fri Jun 6 17:50:38 2008 +0200

    * Bump gtk version to 2.12.
    * Remove BaconVolume in favor of GtkVolumeButton

commit abae31878691bcbc0e44a4e5c5ada0aaf15be240
Author: Qball Cow <qball@gmpclient.org>
Date:   Wed May 28 20:38:36 2008 +0200

    Fix string

commit 2e144413b584b0d8047cea64c0635536d3e64b8b
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue May 27 21:26:24 2008 +0200

    Show total playlist time in all gmpc native browsers

commit fef8a7990f0247380a70daa71d2ad82774ac875f
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 26 21:38:53 2008 +0200

    Fix windows hang

commit e3c3077295613331f0bdc252287c824d13808645
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun May 25 21:38:12 2008 +0200

    small cleanup

commit c0cfbdd3013792798824780fd3274d79c4366b64
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun May 25 20:33:44 2008 +0200

    Change current playlist to play queue

commit 73c703305c3cf0907dd411cfed3bf9cd6277af88
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat May 24 22:14:14 2008 +0200

    Updated PL translation

commit 1e16a9c3e82f003d3ba042e5eda4617b53d39e6e
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat May 17 16:23:31 2008 +0200

    Remove 'info' icon in upper right corner

commit 2fe65f0df34e3cc44a262f55ff2ef0a530b204b4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun May 11 14:35:07 2008 +0200

    Allow, in config file, setting of window title markup

commit fd73384b307fed844951f4d7ea4e84f44a5c2ac8
Author: Qball Cow <qball@gmpclient.org>
Date:   Sun May 11 11:47:10 2008 +0200

    Fix possible strcmp NULL pointer crash

commit e18c2f81fdcc7e6a4e052e2ddb705d5efe9cfdae
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue May 6 10:18:40 2008 +0200

    Forcing downloads using gmpc_easy_download to quit when quitting gmpc.

commit ed0aa5fa592f86c82b3eb299ec46bf583fc6be21
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue May 6 10:05:55 2008 +0200

    Add g_threads_init()

commit 590648e00fbc77eead48232ca79e6db905219cb1
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 18:50:20 2008 +0200

    Cleanup and fix compile warnings

commit 87cd52db1adeb2e954967f99446d0db2073d06ad
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 18:25:03 2008 +0200

    Add an option to enable/disable stylized covers

commit c6b51cb5bf48d2ee3c546bcb479406c5fbbca671
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 18:15:34 2008 +0200

    Fix some deprecation warnings

commit f7f479b70f4078e7998e70d0309a10c5b124cd61
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 18:08:19 2008 +0200

    Remove another unconnected preferences option

commit 0adee45e3a8f1283421088c06b1e0d85ab014f76
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 18:00:20 2008 +0200

    Remove find3 files

commit 8b770cd3e3fa13fb22cf29b0e68f1569809e3560
Author: Qball Cow <qball@gmpclient.org>
Date:   Mon May 5 17:58:13 2008 +0200

    Merge Playlist search and database search

commit 7dfb61bd29d328814df7e9c8ab7f6854b4ebc21e
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 21:27:46 2008 +0200

    remove a few stray printfs

commit d6ab071888689d1ebc79c0114457bbda75c44a4c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 21:25:13 2008 +0200

    Small update

commit b0d30816254247aa5b20693c2a827f86f2cfb879
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:52:07 2008 +0200

    Remove events_pending

commit 4f010bd7901f9f47bb79cdaae73733c6e44c0200
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:48:43 2008 +0200

    fix a few small things

commit 285801608386c6bad4eca68b8661740a2ab017c1
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:25:08 2008 +0200

    Fix 162. Use the right functions for getting uris

commit 786d07c5279e887bdb5cfebdc72345f2a53d637c
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:21:52 2008 +0200

    fix it for real

commit 7456337426d3301d6907bf58a747bf3910c34bf1
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:21:16 2008 +0200

    fix it for read

commit 878c22a57991187790d4c441d0ff0548576f7e43
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 26 20:20:13 2008 +0200

    Trying to fix 161

commit 67dd005e97973ead60db7cf0549c155c94e5b882
Author: Qball Cow <qball@gmpclient.org>
Date:   Tue Apr 22 17:18:35 2008 +0200

    Add stopbutton

commit 146fea20f293e59aacc8654dec2aafa12e3d1fe4
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 12 16:00:13 2008 +0200

    code cleanups

commit c1b2b505db73a167d3b21787c3d60edb9edc2fd2
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 12 15:52:31 2008 +0200

    More smaller speedups

commit cc31463952db9185c2749aacccde8529f0dfb57f
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 12 09:16:49 2008 +0200

    Replace gettimeofday by glib (portable) version

commit 62b443a38a4caf315a40ea64d2009df557f08c67
Author: Qball Cow <qball@gmpclient.org>
Date:   Sat Apr 12 08:41:27 2008 +0200

    Add fancy pancy gmpc_idle

commit ac9037a1839dd5edf8c2f8e48f8b772d59df2319
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Apr 11 22:59:30 2008 +0200

    Allow setting of overflow value

commit 5497d1477eb2a0d9ad1de4e74c972bdc5b0d7566
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Apr 11 22:57:33 2008 +0200

    remove printf, and limit to 50 items now

commit 225f66b4a6b1517ed0383fede6e0e78a46bc69a8
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Apr 11 22:52:42 2008 +0200

    Speedup metadata browser

commit ba61d7153ccd6ddefddd3e4728db9336f3465326
Author: Qball Cow <qball@gmpclient.org>
Date:   Fri Apr 11 22:04:03 2008 +0200

    Remove genre and dates from artist button

commit a07c6a01750708b29559ff26e0b5271fd187c08c
Author: Qball Cow <qball@QDesk.(none)>
Date:   Thu Apr 10 05:56:28 2008 +0200

    bug 1673: Fixing the position start at 0 bug.

commit 996e1fa17669da0be6e0716bd44cd21c50d6afcc
Author: Qball Cow <qball@QDesk.(none)>
Date:   Thu Apr 10 03:12:16 2008 +0200

    Add arch makefile

commit dbf363a55b5d8ef30b2bfde21166c695422f6f25
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Mar 30 18:38:44 2008 +0200

    Add support for sonata like album images. ([metaimage]addcover=1 config option).

commit c6a872de99693013ee68338c3b4502271ec865e9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Mar 25 10:16:44 2008 +0100

    fix something

commit 1626ad3f129913139db1959f87f10b194924044a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Mar 25 10:06:59 2008 +0100

    test fix

commit 3f2896f8c4623d1816298e9e544954b6e5ec0345
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Mar 24 10:31:01 2008 +0100

    Add gmpc-remote in the build-chain

commit 7fa0d41456d62b4afdbd6339a4d2813457e9e1d0
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:45:52 2008 +0100

    Fix order in main.c

commit 2663d6859798dd7442fa0429bc4f9f9d07fb27f1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:39:47 2008 +0100

    Remove some printfs

commit 8e2ea1f579ec5fb3642e1fd4c9ed567019b22a45
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:24:42 2008 +0100

    When pressing escape in the search field, it is cleared, and closed after 1 sec

commit 90107f4868e37703e37b76d022b2194559d9d539
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:23:25 2008 +0100

    In current playlist pressing Ctrl-F keeps search open, until backspace is pressed when the search is empty.

commit d0ce29d7fbb891fcd5abbe6671c3019bc080e954
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:11:03 2008 +0100

    * Return focus to tree when closing the search.
    * When switching to current playlist, make the tree grab focus.

commit 2f3705efc04c75e483d9e5e152cc56b3cfc1982b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Mar 22 14:01:01 2008 +0100

    When clicking on a selected item in the tag browser, it unselects again

commit 684dfcd34054033f205e3eb4db1f7eaac1c20009
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Mar 12 20:18:34 2008 +0100

    Also search path for a artist metadata request

commit f8586f68515e6a9bbad5fcdda7d2516a3937cf4d
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Mar 11 14:34:13 2008 +0100

    Do some extra checking, hoping to catch a crashes

commit 85cc5b2cf7730189606ad73beef579470ce031f5
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Mar 4 17:06:44 2008 +0100

    Update ru translation

commit 0bdba9b0135b59f329b4911c81958eacd0a782db
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Mar 3 22:48:00 2008 +0100

    Remove RGBA window, to many errors.

commit 356474f65099a69b7de643c99c1f1aacd625c202
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Feb 29 14:53:14 2008 +0100

    Remove mpd-side-playlist-queue

commit b5ae84ef2c4dd49f53bb0d564afa5db2c345bcf9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Feb 18 21:23:37 2008 +0100

    Make window RGBA for murrine window

commit d04f9920c0cd2e9f31268b93801cb8833efd9953
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Jan 25 17:38:59 2008 +0100

    Add 'add to playlist' menu.

commit 57f812f683760a9e78a827be5c069ef38ec47943
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Jan 23 22:30:44 2008 +0100

    update polish translation

commit 53b26b788bb00d2ae0f64fde81dd0ae406ae0ae0
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Jan 23 18:22:10 2008 +0100

    move extra check

commit 229ee6564196aac8144779c59157a3fe0442c05b
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Jan 23 17:31:23 2008 +0100

    Do sanity check on 'size-offset' config key

commit c67d097a4c23fcb214265a88fec757950b068874
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Jan 21 21:18:46 2008 +0100

    Re-add size-offset

commit b47ec284ff4c815f746d89d5afd99f4811564038
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Jan 21 20:55:22 2008 +0100

    Add playlist position column back to Gmpc::TreeView

commit 13ec207dbc177c6eb6274ccc46103354aa3ec7b2
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Jan 20 20:58:52 2008 +0100

    Clean some compile warnings

commit 373026a563081b37ee2745d3883dea17f9d738f9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Jan 20 17:46:17 2008 +0100

    More cleaning up

commit fd1cc2bbd03b3891563e58d8719fa24adc931a12
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Jan 20 17:20:54 2008 +0100

    Memory cleanups

commit ec5c736f7b3aeb4e1df6e665d76d4d3684cfc9f7
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Jan 20 14:04:47 2008 +0100

    Remove a queue_commit, while the queue was not filled

commit 9e7bfd56f06927238e97a2bee079ba01c5c3c4cf
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Jan 17 17:49:15 2008 +0100

    Fixng a small thing and debug output

commit efef1c3c2e3782a0603773eed9f1884f8f0d4ba9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Jan 11 10:57:34 2008 +0100

    Update polish translation, big thanks to Artur Kruszewski.

commit 5832e605d6c051d94a6223d627cc58fb6fc6382e
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Jan 7 17:05:13 2008 +0100

    src/browser/playlist3-tag2-browser.c:
    * Remove strcasecmp to fix win32 cross-build.
    * Before comparing the strings using strstr, casefold them and normalize them. This should give a reliable strstr, even for utf8 strings.
    * Cleanup some code. like needles {} and multiple variables pointing to the same structure.

commit a2b0ae413cf805bbaeaecc00fd2f6f7325e7ea37
Author: Qball Cow <Qball@sarine.nl>
Date:   Sun Jan 6 11:54:06 2008 +0100

    fix everything to long, not just 1/2 of it

commit 947e3c3dcb288bfed21b3a1f5308629fa2602d94
Author: Qball Cow <Qball@sarine.nl>
Date:   Sun Jan 6 10:53:25 2008 +0100

    don'
    t forget x86_64 long long isn't x86 long long

commit 621d7eea3f7f6c2b4d3553bea4e2d5255f9ebd3a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Jan 4 18:08:27 2008 +0100

    Re-add showing of total-current-playlist estimation.

commit 69cd14c60e14c373381110dcb3febf6cf8c4bf3d
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 31 17:21:13 2007 +0100

    hide search boxes

commit e8acb3fc07f63199186663837fd17093f7e243a9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 31 17:07:58 2007 +0100

    scroll to selected row

commit d1a4ef976f0e747cab9b1fe969b846c10949563f
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 31 16:55:12 2007 +0100

    add filter boxes

commit 7d4b711ef44068dd30181996ca220b0775091a59
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 31 16:17:49 2007 +0100

    all columns filled

commit 9aa1763fd174dff5887f2b8a5032969258ac1165
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 31 15:39:29 2007 +0100

    debug test

commit 8933fe9938361380d0be39c2aa9609f4326ca8cf
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 31 00:52:34 2007 +0100

    fix crasher in tag2-browser

commit dd2b054d9d82e06abae5807afa2c04083cf443ef
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 30 15:09:29 2007 +0100

    Implements Avutons improved tag2-browser.

commit f3ed8aa0d9c80ecfe23771130cd552085ad94066
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 29 23:56:22 2007 +0100

    Fix Alarm-debian bug with entering just ( in search query

commit cff1d431d055ff42029b6abc195e21fbeb4e97a5
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 27 15:41:43 2007 +0100

    fix showing of error messages

commit f2e3d58fbd89955aea29e23db56a540146e571e6
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 27 15:30:00 2007 +0100

    Center the label in the metadata browser in vertical direction on the top.

commit 194cbae4ad612093885688f6058019d1fbb0650a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 27 15:28:19 2007 +0100

    wrap instead of ellipsize

commit 1603e6ff307bedc8bda395b41db35cf7a5369cf4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 27 01:10:35 2007 +0100

    updates to error reporting when trying to create a playlist

commit 2c4d13f8ab22b1cbc86362aee246ef4a7c294a86
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Dec 26 15:29:32 2007 +0100

    Add custom GtkListStore implementation that inherits everything, but adds drag and drop handling.
    So instead of removing a row and inserting a new one, now do an actual move on the original gtk-tree-model. This allows gtk_tree_row_reference to track position.

commit aa79d2510a657a60545a677997228a1023cc3f0e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Dec 25 15:43:48 2007 +0100

    Fix a possible resize issue on re-typing in the tag browser. still an issue exists, could be gtk, not gmpc.

commit b2efa502fd29d40837b7c7d5e8c52fa45ce3b294
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Dec 25 15:36:58 2007 +0100

    Playlist3.c: If changed between 2 entries from the same plugin, still nicely unselect and select again.
    Tag2Browser: If changed row type, reset the attributes for the icon renderer. this makes switching between metadata/non-metadata work correctly.
    Tag2Browser: Always work in fixed-height mode, and fixed width mode, this saves allot of cputime.
    Tag2Browser: Allow changing of tag-type in the view itself using a combo box.
    Tag2Browser: Fix clearing of request artist. This fixes a bug when removing a preceding tag.

commit ef6738840b45d02760c800aee5f813b5a18aede5
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 24 19:51:45 2007 +0100

    Remove selection_changed and row_expanded from the plugin structure, this to follow the changes made in the left pane (from tree->list).
    Also clean and update the code that could be touched by this.
    Bump plugin api version.

commit b4ed5a8066031e08d7ca2a2dec70ebc3ac1ea966
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 24 13:23:14 2007 +0100

    Remove some unused defines

commit 6bee1e57db0e6298f156bb7316de790b4cb1d881
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 24 13:16:08 2007 +0100

    cleanups

commit 9830335edbda3b9a84932a812ad8027b95777beb
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 24 12:54:01 2007 +0100

    Cleanup

commit ae24bf88f1284bf9eceff2facda39efbba39c3dd
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 24 12:45:15 2007 +0100

    Remove printf

commit e78b7b0264e172843cb8fe2d2339dc2c1cf5f392
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 23:19:39 2007 +0100

    Cleanups

commit a8fb16f646f49b61f15fad4795f934e089d6773b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 22:35:43 2007 +0100

    Rasi suggestion of focus

commit bc880b86d12f41998813586f52defca9aed8dad6
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 15:30:23 2007 +0100

    update it translation

commit 0658e846dd5f5da64abce3daafec224fe07a05f4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 12:28:38 2007 +0100

    Remove printf

commit 63070d9bfbcf8f6cbb193bb683cac175585d3797
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 12:27:43 2007 +0100

    This should translate the crap

commit 2a0dbf72b39aa2debf9f7afeb768fc7a925b453a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 12:24:10 2007 +0100

    This should translate the crap

commit b5b7d106b37d727b0997259bf864f723c53a0ec1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 23 12:06:03 2007 +0100

    update it translation, make headers translatable

commit 75fd1a67f350721b0a59b5070b6f5267f2db09ce
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 22 21:12:46 2007 +0100

    Fix namespace collision

commit 9981ff792e93ed7a3bcf3c245a0cce66fd1186d4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 22 17:35:27 2007 +0100

    only read prefix/lib/gmpc/ for plugins

commit 942c0bf59259390f05fc2cb6432b0d5f8c3407b9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 21 15:44:54 2007 +0100

    update po files

commit 35a7150a0a8350808b1ee08e357101ade4f757aa
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 21 15:39:15 2007 +0100

    fix wrong define

commit 979c91aa788c8b48011999870954a953de834b75
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 21 15:20:34 2007 +0100

    Fix disable tray icon

commit cb84160697b061d2f7b9101489e5d2ecf76e9f57
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 21 14:36:44 2007 +0100

    update pl translation, and remove some pointless strings that are marked for translation

commit 62b9e0bebe36d0cf088cf2ef9fd669f30209ead1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 21 13:35:12 2007 +0100

    Allow the tray-icon to be disabled, and fix a missing () in tokenization

commit c4322946c87db66c17cf1e8991735c1183a93ab0
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Dec 20 12:47:07 2007 +0100

    fix warning on console

commit 3ec1cebbbf247e907569a8cfe9ff44ee7ebfa614
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Dec 20 08:20:18 2007 +0100

    fix when ending query with (

commit b36c24b3f7be21618d32e405a38b507678a1e934
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Dec 19 21:12:49 2007 +0100

    tokenize now obeys ([{}])

commit 169eef00e48fe0b1d005123893b944a6d51f409b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Dec 19 18:49:58 2007 +0100

    When manually setting a cover, also do the collection test

commit 1bbe25741c46f038d2adc6bbe2d1946ecf71932d
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 19 18:21:57 2007 +0100

    allow () in playlist search to group words

commit b1acbbe49b6b4527662e819cc96bd444e144374b
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 19 14:36:42 2007 +0100

    better saving of data

commit 78bd6428c36a5a9219981587f70f310bf3150533
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Dec 18 16:33:42 2007 +0100

    Add some gmpc-remote stuff

commit dbca3ca44fb65ecffa2a141927c559bc4afacf66
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Dec 18 14:50:34 2007 +0100

    Fixing

commit 9571188c63797a0c11e0b7eae803f42a0c663c32
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Dec 18 13:54:45 2007 +0100

    Remove advanced config screen, always a good move

commit 3cb6938d8e16dd10290867d04ff2e0043e1f981e
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Dec 18 09:37:05 2007 +0100

    Fix translation of tag browser in pref  window

commit 9e89bfb88f738e45a2fbd267d7367a9bd9e4ad9b
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Dec 18 09:22:35 2007 +0100

    Add bitrate to the information window, but only in tracking mode.

commit 766967a5ce17f2d371ec35146dca0373feda3bc0
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 16 20:46:05 2007 +0100

    Allow re-order of left-pane view

commit a08bfa481af62f77a636755b590774e1d70f13b5
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 16 20:30:44 2007 +0100

    Fix wrong ifdef

commit 89bb5c11ac6845e674257a1ce96c545e681979ad
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 16 14:38:40 2007 +0100

    bumpd plugin version because of this

commit 91400cf92a69631aa5b8a9c36a656a111b8a7652
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 16 14:37:48 2007 +0100

    Update fr translation and move cat_tree to a list store

commit 2759630bb226539775c924ee7530ed7416109432
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 16 14:09:59 2007 +0100

    make asciidoc happy

commit 891b19af7901d014ba77d887637f6f0af6ef8819
Author: Qball Cow <Qball@sarine.nl>
Date:   Sun Dec 16 00:39:43 2007 +0100

    fix it a bit

commit cfc16801969c33289bf77d4824c0b9f96a78ee44
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 15 23:30:09 2007 +0100

    dirty collection detection in art fetching

commit 17131d15b2fead7150b8da3a2ba905b2569af03d
Author: Qball Cow <Qball@sarine.nl>
Date:   Sat Dec 15 10:24:47 2007 +0100

    change include, making win32 happy?

commit 31bce6a59f37a40f2fdd6597d7e2ccc5253682c1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 14 21:13:11 2007 +0100

    update po files

commit b31e055229936fe42041f4fb6c2a47fd1075679f
Merge: c1acd30... d378901...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 14 21:10:50 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit c1acd301a267cde681433e71afe7a3209f0b4f5e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 14 21:10:35 2007 +0100

    fix available

commit d3789018966d6d687d2c829363aab8db78446cac
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Dec 14 17:51:11 2007 +0100

    Update when the playlist changes

commit 07dafe5b192f61a5251f5b951f10d1c606bd98ba
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Dec 14 17:46:31 2007 +0100

    Fix include

commit 5c2269571de67f36899e715fb04e36ddc422e410
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Dec 14 16:10:52 2007 +0100

    Make playlist/db search tokenized

commit 73afb41e79f7b02f747ade62687e517d55acb85d
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Dec 14 12:18:09 2007 +0100

    hide/show the search entry

commit 96c03bba323a513ad960a97f583d5bb0fd1cd459
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Dec 14 12:11:01 2007 +0100

    Add experimental filter

commit b4ebc224df54eaed04253f112b9630e3c54db8e0
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 13 20:24:12 2007 +0100

    Fix compile warning

commit 11809e76c8182e1d2229cd909bd67a0eb0c68cc4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Dec 13 12:07:59 2007 +0100

    Check for plugins with the same name, and fail them

commit d9e57c74598497f2741693d40b2cc82e294e5426
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Dec 12 21:12:19 2007 +0100

    Make sure the titles are escaped for the tooltip

commit 9b5323bda6891435b13c6e122370ae6e087472fd
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Dec 12 20:57:28 2007 +0100

    only allow --quit when multiple instances is off

commit b5c2ec57318c45eeda9a368998f2639af7d5aee4
Merge: a00f296... 9ca5bdc...
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 12 17:39:20 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit a00f296386d70228b208bc95d78e39bec56ab66a
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 12 17:09:30 2007 +0100

    Adding 2 new commandline options:
    1. --replace: replace the running gmpc (if there is one running) with a the current.
    2. --quit: Quit the running gmpc session.

commit 8a8e473c10cd05b808a462332f897cf6acf9a819
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 12 17:00:15 2007 +0100

    Change tooltip to not accept metadata browsers click, change tooltip colering add tooltip buttons

commit 9ca5bdcc7ef28f17b7df2395f75d21577f5e9ccf
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Dec 10 21:37:27 2007 +0100

    Update polish translation

commit e648d001497c42120627d6a4799fa5317d268ccf
Merge: 1065ca3... 7bbb0c6...
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 10 17:26:03 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit 1065ca37212667619a62dcb4701890469e05cd6f
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 10 16:26:26 2007 +0100

    Search the markup row, not the title

commit 6a8550c46029ecc65fa9111d6a4c04174d9de10f
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 10 16:22:38 2007 +0100

    Bind ctrl-space to row activate in treesearch

commit 7bbb0c67c44c7d00809f35774d1d3d67b2cda4c9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 8 13:14:25 2007 +0100

    Some cleanups and use short commit rev.

commit 6a094edc07d915a5bf9a76d25d7bff530d5baf70
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:56:31 2007 +0100

    Support scrolling on the progress bar

commit 4bc632c975fb1d6068d65535f0be5ad78ca3987a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:45:36 2007 +0100

    Make Rasia a happy camper

commit 7de19d564d846b2236f73ecad27157f82aa57c69
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:40:42 2007 +0100

    increase album art size

commit 8307fcf78b95d73eae060aa124bab4fa3d4f2768
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:33:06 2007 +0100

    Fix stupid crap

commit 9efb4b471d676f4a70e6323acc5953299e7b6fd9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:20:34 2007 +0100

    Add bacon files aswell

commit 7208977f17c54023ae3a5419135ca614dc786afe
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 23:19:30 2007 +0100

    Re-add bacon-volume, gtk.2.12 is to rare

commit a3563ae16b4ad844381e1ff7f71180bca4026878
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 22:01:30 2007 +0100

    range the pb

commit bc6476c70b19087648048551fa38c09f78477f77
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 21:56:40 2007 +0100

    undo playing

commit e85f08be842d17d19990ac6493e584e7b9362874
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 21:36:51 2007 +0100

    more playing

commit 53cb0588a2ad38c67cf9b9147332ca09ac44c05e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 21:23:50 2007 +0100

    Play with interface a bit

commit a773cb942c67658691dc14649932764dc11d1220
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 17:26:48 2007 +0100

    Add a second progress bar, for testing

commit ee720f0fbb074606786ea096543f401b0cd96538
Merge: be47ab8... 59e701e...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 16:12:14 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit be47ab841a558ad57d62a67279a10e8731490038
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Dec 7 16:10:47 2007 +0100

    Remove bacon-volume, and replace it by GtkVolumeButton.
    This requires gtk 2.12, so bump gtk version.

commit 59e701e7563f76257419b59b25a3113386f24520
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Dec 5 01:00:50 2007 +0100

    update todo list

commit 4d0b33fc1c44541f84ffbe03d55b02eec68fd80e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Dec 4 17:55:59 2007 +0100

    listen to the output changed signal

commit 5fc9a492c2050d48054b77e19d9a14161b2a2079
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 3 15:05:33 2007 +0100

    Changelog

commit bfd6920b476e64c4604c808a6688076d42797e18
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 3 14:53:18 2007 +0100

    Make sure that in the current playlist the row gets highlighted again by bold font

commit 3b9c36001702388e383f1c5a2438299b01bfba4f
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Dec 3 14:32:58 2007 +0100

    Fix a stupid warning from gtktreeview

commit 2df99c22ab93de963c311e60375b0097b7a80141
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Dec 2 20:34:17 2007 +0100

    When not on windows look also in /prefix/lib/gmpc/plugins/ for plugins

commit fddc897d6e8b4bf044477c5d03b5c9c8df3e5ae1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 21:47:03 2007 +0100

    Don't show url_fetch window on dropped urls

commit 359700ef8abc6753176446d03deecf2d85224cd0
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 15:41:56 2007 +0100

    Move uint to unsigned int

commit 7cdcf0ed8d47247e314e8df63bc52a3c3e5ca294
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 13:54:04 2007 +0100

    Fix compile warnings

commit 9ad89059e3187ef096127d3f67a601aaa5737529
Merge: 44f215b... 7a40b2f...
Author: Qball Cow <Qball@sarine.nl>
Date:   Sat Dec 1 13:38:49 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit 7a40b2f64c01c50fd9831fcc5c4c83a3c71afa96
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 09:15:30 2007 +0100

    Change order of includes, fix win32 build?

commit 44f215b057b8d940e78f2dd2bb72a23bc02f38da
Author: Qball Cow <Qball@sarine.nl>
Date:   Sat Dec 1 00:28:55 2007 +0100

    Fix warnings on console, remove files

commit 0a6eeefc403a4b650245be98b4b443092e904893
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 00:11:42 2007 +0100

    Fix it for stop state

commit 4146127cf9f6991e1a6875c49195a6cad8b8499f
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Dec 1 00:09:13 2007 +0100

    Change icon to play button, if it's the current playlist

commit c5b4574acfc208b506bec405a41d0d60acc0f458
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Nov 30 23:18:57 2007 +0100

    Fully intergrate the new current-playlist
    Fix another thing for avuton

commit 5b86faaad9f9b1c6fa8ff5be8b6d899f222ffc8a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Nov 30 20:05:44 2007 +0100

    First checkin of current-playlist rewrite

commit 580f0e5003c6c0bed2b75cf024199d2397c3f166
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 30 11:21:42 2007 +0100

    Hack to try to fix avuton bug

commit 0edc11420ddc2ac4386c9508ea153398f6909f89
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 30 11:17:15 2007 +0100

    update version

commit ed3f5abbc2722417bd39723cd851150e96fd73aa
Merge: 0fe40a2... 8201c27...
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 30 11:14:25 2007 +0100

    Merge branch 'gmi'

commit 0fe40a23060b1575c0ae399d23226716a41fd767
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 30 11:13:46 2007 +0100

    update what's new

commit 986f1f7ecdb09cf2fd7b7cb3fead1d5389154245
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Nov 29 09:09:06 2007 +0100

    Bump version 0.15.5

commit f97edc64670ba33ee9c11efb768c0d337592137b
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Nov 29 08:35:57 2007 +0100

    Add libmpd as requires to gmpc.pc file

commit d7d2c238718d8d7fdd25f6c8304fef2a7ae0ea3b
Author: Qball Cow <Qball@sarine.nl>
Date:   Thu Nov 29 08:12:30 2007 +0100

    First steps to a testset

commit 87524c5eb5627140544b9e46f87ff0b029b43f97
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 18:15:23 2007 +0100

    Some sanity checking on column value

commit 0fcfaf6a8afc9d2113396965006bcce5b7ef18ac
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 17:02:09 2007 +0100

    Fix keypress events in file-browser

commit cfcb2196b6c627e1e0e6681bc0668d57b8eea69f
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 17:01:36 2007 +0100

    Fix keypress events in file-browser

commit 285f6350d3ba2ce031bf7047e1d88daa600e5a7f
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 14:57:49 2007 +0100

    Fix build makefile

commit 219a974c315f931da64152dc634d9892d0d4a491
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 14:44:34 2007 +0100

    Add a whatsnew

commit 1286ca6d1fc3359899188fbd03f5fde69f47757c
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 14:43:56 2007 +0100

    Add a whatsnew

commit b8b694a60bdbe81a13b7e31502221676f3b53bab
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 28 13:41:28 2007 +0100

    Update Changelog

commit 84053c8cab765eb38f87628d577a570236d5ea2a
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Nov 27 15:26:00 2007 +0100

    1. allow user to redirect output to debug file.
    2. Print connection state out, and error if it's wrong.

commit bee5658bec9c91c26ece8658b36a2c13a060d88b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Nov 23 14:28:46 2007 +0100

    * Add some extra sanity checks to gmpc-mpddata-model. (asserts, so gmpc won't run in a broken state, should make finding bugs easier).
    * Make gmpc-mpddata-model supports getting a MpdData list that does not point to the first entry. (causing the crash by magnatune plugin). It was the magnatune plugin misbehaving. But it's more important that gmpc-mpddata is robust.

commit c8b0a0cd2601788eb9005b35f6467a763996071e
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Nov 19 12:51:56 2007 +0100

    Update todo list

commit 8201c27fd22872167b182e1e261c4916f52b120f
Merge: c472f54... bd368b4...
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Nov 19 09:51:23 2007 +0100

    Merge branch 'master' into gmi

commit bd368b4657a6d230210fc7f09f3e4a24bf0ed90e
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Nov 19 00:32:36 2007 +0100

    Fix profile crasher, after adding default to profiles file, I should actually load that file

commit 4fca5f7533669a4e397155e2a21f8cc10dc74c4a
Author: Qball Cow <Qball@sarine.nl>
Date:   Mon Nov 19 00:05:28 2007 +0100

    fix profile naming

commit f283e4ed5d05f453c117b70b8965b947b1211a1c
Author: Qball Cow <qball@qball-desktop.(none)>
Date:   Sun Nov 18 16:16:05 2007 +0100

    Even an extra check for existing list element, but should never happen

commit 790cce0dbc73bd5cad590ada482b3cc55b64cd57
Author: Qball Cow <qball@qball-desktop.(none)>
Date:   Fri Nov 16 22:18:55 2007 +0100

    Bump version to 0.15.4.102

commit 4abcecd0242f48a93a736fbf134fa936a59eb01e
Author: Qball Cow <qball@qball-desktop.(none)>
Date:   Fri Nov 16 16:34:00 2007 +0100

    fix crasher bug if mpd crashes during transaction, and another crash on exit bug

commit c472f54ede3a3bf53356db7412a4547d0005fee5
Merge: 250b3c5... 0b18f53...
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 14 18:44:19 2007 +0100

    Merge branch 'master' into gmi

commit 0b18f539f877a487107789235087604dd9faa937
Merge: 7c1dfc4... b7cdc5f...
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 14 18:07:40 2007 +0100

    Merge branch 'master' of git://repo.or.cz/gmpc

commit 7c1dfc41ec9cedf21ef31a2c7d7efe80a1146329
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 14 12:40:05 2007 +0100

    Disable 'tracking mode' when song_view is requested on another song

commit 4e00d36c94951ec79fcba7bb98bf97b5e30560f0
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 14 12:23:49 2007 +0100

    Check if there are items in the avahi list, if not, add a default element and return that.

commit b7cdc5f81cb0005e934880dcf3549737f0cb8dbc
Author: Qball Cow <qball@qball-desktop.(none)>
Date:   Tue Nov 13 22:32:47 2007 +0100

    Fix crasher when trying to cleanup config file with only one element

commit 1f65817fe046148e90efcda5dad66829a46f0a28
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 13 00:27:45 2007 +0100

    Destroy find2 completely, not 1/2

commit e056258fa54841718a71f2c5909034e2a05144b9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Nov 12 23:16:15 2007 +0100

    Moving code so its less likely that something goes wrong

commit f222ce8f95afe8631bcad10a3d1aa993a3b1dca7
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Nov 12 17:17:51 2007 +0100

    fix warnings

commit 5e5d4189cdac96a5cc10582e99171c5a48cce411
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Nov 12 16:43:19 2007 +0100

    When the db changes reload all tag browsers (by faking a reconnect)

commit a282a480cbc28be665e85041bb8d1963477af3b7
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Nov 12 16:30:10 2007 +0100

    Fix detecting valid playlist.. remove printf's

commit 81d0bc176d3044835b92fae980676bee2f299f93
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Nov 12 15:55:30 2007 +0100

    Remove a debug_printf that could have tried to print a NULL pointer

commit 250b3c5f28ac13e039d11335995bc5ad10e2866b
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 9 22:11:19 2007 +0100

    Fix counting of processed.

commit 5f37f840cdd6c3a39205f24c99b786e0ce4654f5
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 9 22:04:44 2007 +0100

    Remove the remove thread, it is no longer used.
    Fix the missing test = g_mutex_try_lock();

commit ee6048b9df8e4eb7dc92d72779cc80ba206cef59
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 9 21:48:41 2007 +0100

    Stop a pointless strdup

commit d674d0a2fea3dfea0c1e6281921c91d9016ffd42
Merge: 142bbb2... 82d4b2d...
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 9 10:15:05 2007 +0100

    Merge branch 'master' into gmi

commit 82d4b2d394dca790dbbee867bb3cc3f31994c404
Author: Qball Cow <Qball@Sarine.nl>
Date:   Fri Nov 9 00:02:02 2007 +0100

    Fix broken keyboard navigation in file browser

commit e5d0963a5b573d2121ca40cf8c70e34574f18204
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Nov 8 13:44:57 2007 +0100

    update some translation files

commit 79e461feb3b4e310e5637d343ea528625a067236
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Nov 7 17:46:15 2007 +0100

    * Cleanup the gmpc.log file output. Now show date+time instead of unix time, and show severity as string, not number.
    * Don't show started gmpc and stopped gmpc. This isn't that usefull
    * Add an option to the configuration window to set the severity level of the shown inline messages. (or turm them off)

commit 142bbb2fb46ebb03f753cb240c5c8cb11c5bc56a
Merge: 62779f4... c468a10...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 22:57:46 2007 +0100

    Merge branch 'master' into gmpc-metadata-improvements

commit c468a1025242cfa3daf30b36fda5483024f809fe
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 22:57:16 2007 +0100

    remove printf

commit 6705dec77035debddb26e01898d1ebb64b078e03
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 22:37:16 2007 +0100

    Bump too gmpc 0.15.4.101

commit 80a86a7f93c67b429a570492942ca358267a31e5
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 22:11:04 2007 +0100

    Extra sorting fix

commit 62779f4f88892c9ff20bdbd3327893ca166039f6
Merge: ae6291c... 6500e88...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 20:57:17 2007 +0100

    Merge branch 'master' into gmpc-metadata-improvements

commit 6500e889e153403cd960537dca8e3d7327e0b095
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 20:45:45 2007 +0100

    Fixing sorting issues

commit ae6291c76b8a97712d25cd55e5cdd40921dac4fd
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Nov 6 19:52:36 2007 +0100

    small cleanup

commit 9411079da6b0d8c420847593fa36daea6af12cd4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Nov 4 23:03:37 2007 +0100

    Cleanup some stuff

commit 292b3c86a177592c91b0dc3b4e5220b0f6daa15e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Nov 4 22:52:11 2007 +0100

    Make sure it does not query search to often.

commit f883becd505a0abdeed7c31a3225f763277795df
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Nov 4 22:28:04 2007 +0100

    Remove printfs

commit fd04b1d4a880355c6a3b0545380d89fbeb5c38cc
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Nov 4 22:26:14 2007 +0100

    If artist/album search, fill in the missing information by looking up a matching song.
    This helps when looking for album art using mdcover or mdcover2.

commit 94cd3a29d22b4fcf9569927d4eef84861b95e724
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Nov 3 14:48:38 2007 +0100

    Add version to plugin list

commit 62a3d40fef8717bc96a2ac2fad5357b57ec80b1b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Nov 3 14:26:47 2007 +0100

    Make all version major/minor/micro/nano available in gmpc by defines

commit 68559b3e5010fc429ba78325bbfb490571f7b9ff
Author: Qball Cow <Qball@sarine.nl>
Date:   Fri Nov 2 14:55:05 2007 +0100

    Fix crash when the version number is less then 4 numbers large.

commit 914924730d481d1a3b98da7850b7fb88cf0c66e1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 31 21:09:03 2007 +0100

    Update potfile

commit 579cae4551bc093a0e827f08d5ccec6e227f36c4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 31 14:41:53 2007 +0100

    Fix build

commit 95102bb27805f933d6fbf14fc386889eaf653695
Merge: e15be39... 331acc0...
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Oct 31 14:17:00 2007 +0100

    Merge branch 'master' of git+ssh://repo.or.cz/srv/git/gmpc

commit e15be390397ff92777b648af6787ca54427eb036
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Oct 31 13:43:04 2007 +0100

    save position

commit 331acc0364e0503cd18771afd4ab911553a1717a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Oct 30 21:42:28 2007 +0100

    Bump version 0.15.4.99

commit 3a55d8d86db656cbe99921bc2efbfb26f475cfd6
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Oct 30 20:09:53 2007 +0100

    Some cleanup

commit c4e435430fe83c31edfd21594a2c82bc62d06c3a
Author: Qball Cow <Qball@Sarine.nl>
Date:   Tue Oct 30 15:43:44 2007 +0100

    Extra lazy file-browser tree

commit e0ba6ef1eb884214792182d4141f0fe67c40d27d
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 30 13:21:39 2007 +0100

    Add an option to _not_ load the plugins

commit 9f97bd16dfdf659539cf88e38358f4ed0f01ae1d
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 30 13:03:48 2007 +0100

    Update plugin howto documentation.
    Add more checks to the plugin validation.

commit 7c31d19d5f5a17ff49a6a246c72d75601f5a720e
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 19:54:17 2007 +0200

    Some doc update, and removing opacity from tooltip, causing more problems then profit

commit 7db40207d273bd5313b4ce8c7e022b76e84d97e2
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 17:07:21 2007 +0200

    Don't load the dir on every open/close

commit 0491d9e7bd66c4227894c7112f6c991ea5c96425
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 17:02:32 2007 +0200

    Fix another possible crasher, but code should not be touched anyway

commit 43b73b788fbe5379623dd2935fd547b21ff29fab
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 17:00:54 2007 +0200

    Use enumertion for readability, fix using right treeview, and enable search as you type

commit a7d0c2a6fbf36d91eb879a714f041976d615940d
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 16:49:12 2007 +0200

    Fix add folder directory selection

commit 9bc481e89d4a5470467b10edc729b6affcab41b0
Merge: 9cd950a... b0316b4...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 16:29:47 2007 +0200

    Merge branch 'file-rewrite'

commit 9cd950a7b1f3f0d2d551ac64240153d343966668
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 16:19:23 2007 +0200

    Cleanup metadata.c a little

commit b0316b41d123c462f5cd02dfefb73cb47b55340b
Merge: 4546747... 957b891...
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 15:45:31 2007 +0200

    Merge branch 'master' into file-rewrite

commit 957b89157c1e18d6b06405be42433c3c87ed9776
Author: Qball Cow <qball@qball-vbox-kubuntu.(none)>
Date:   Sat Oct 27 15:42:45 2007 +0200

    Fix for popping up in KDE

commit 45467474f773480fd665997680c76002775cacde
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 15:16:36 2007 +0200

    Some cleanups

commit 074c04a339d34f87b08f67b22b5ff5f9a6e61524
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 15:08:18 2007 +0200

    Show dirname and playlist name in filename column

commit d4bc5fab02762c795b50cac8910cbdfadf83bbb7
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 27 15:00:03 2007 +0200

    Move file browser to 2 pane view

commit 4f18409919a82970620535310b34811a5f2423cf
Author: Qball Cow <Qball@sarine.nl>
Date:   Sat Oct 27 02:15:43 2007 +0200

    Add gtk_set_locale

commit ef304a67aca69d86a50b088f25544bebf7237095
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Oct 25 21:15:16 2007 +0200

    Fix the song deleting

commit eea7de3f6c23aeb3cfe1c9a1c4d49de986c9b18b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Thu Oct 25 20:41:39 2007 +0200

    Fix saving of sorting on the icon column

commit 37df7ba368961c97324ec3ab22e2640b8797ed98
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 24 22:26:21 2007 +0200

    Fix size of gmpc-fetching-cover

commit b63dcb947132dc45ca0e0877b1ae352f5015874c
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 24 22:10:25 2007 +0200

    Allow setting of images size, [gmpc-mpddata-model] size='32'

commit fb94ab94901ed43430e282ffa8aa0dd9a49b5296
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 24 21:40:56 2007 +0200

    Sorting the albums in the metadata browser on date.
    Making labels on buttons not selectable.

commit f37a09c63e52863ceb9abc229cc4b2c856731816
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 24 20:33:49 2007 +0200

    Some documentations updates

commit 9b9fe92830e91f7b245dc9c7f99760cfab2d7c14
Author: Qball Cow <Qball@Sarine.nl>
Date:   Wed Oct 24 18:26:36 2007 +0200

    Fix tray tooltip for songs withouth tag

commit b7e02983c34bf6d0a08481510515761ce19ef6d5
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Oct 24 17:26:23 2007 +0200

    Add pluginhowto first scribbles

commit 0c54c5ca0adbede40c80b100f920fb49918663f8
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Oct 24 15:42:38 2007 +0200

    Some sanity checking for plugins

commit 0ddc30f622ede380baf3d3f0fa01b2e178decb9a
Author: Qball Cow <Qball@sarine.nl>
Date:   Wed Oct 24 08:19:24 2007 +0200

    Set tooltip on GtkStatusIcon if on gtk+-2.12.0 or higher.
    Don't refresh tooltip if playlist changes. no longer needed.

commit cdb63b9a2908b2a29ff9f696c77b726348a8ea2a
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 23 14:25:16 2007 +0200

    Fix compiler warnings.
    Add deleting of multiple items to the db-search
    Remove forcing of old search method
    Make sorting on icon, is sorting on artist/album/disc/track

commit a4e0dac178ef68cfe1deb391dccc3757cbc62b58
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 23 13:32:45 2007 +0200

    Fix the and/or style search for the old_style (mpd < 0.13) playlist search

commit b517a1fe34aded3e27da864f91b57c8a6fc5a042
Merge: ed7f98e... 2c97f8e...
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 23 12:37:00 2007 +0200

    Merge branch 'master' into Advanced-DB-Search

commit ed7f98ed88f90851b42e3e44da14e43b8acd491b
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 23 12:36:18 2007 +0200

    Extend to playlist browser

commit 3c5f7524154ddff04f73f7ad82b41c04cb39ac1e
Author: Qball Cow <Qball@sarine.nl>
Date:   Tue Oct 23 09:28:27 2007 +0200

    Add 'And/Or' support to the database browser

commit 2c97f8eee000a12bf6365cb3a29444d9dd9b6150
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Oct 22 21:21:15 2007 +0200

    Sort the songs by artist/album/disc/track when added massifely from tag-browser or metabrowser. (f.e. adding all from genre Jazz or Artist Norah Jones

commit d2e8b95e938f966b7ecf82b7b66f48a3f9dee73c
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Oct 22 21:03:27 2007 +0200

    Fix the sorting issue:
    The sort function in gmpc-mpddata-model needs to return -1 0 1 now.. not just 0 or 1. (different sorting system.)
    Right casting of the pointer from qsort to the linked list index...
    Lots more

commit 1c3072adcbd1ad0f9309237c6fc85e2933967bf4
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Oct 22 17:00:03 2007 +0200

    bump version to 0.15.4.99

commit 60d514e7e636dcec9a84a49cd8db0b4c0ea8727c
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Oct 22 16:57:29 2007 +0200

    Better sorting algorithm, that is tons faster

commit adbf5878c0fcfa2774d749c2ef52f172e70b48a9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Mon Oct 22 13:09:41 2007 +0200

    fix gmpc-mpddata-obj for glib libmpd

commit 41c342b675ca961aa4f5e8579477af698bec7133
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 23:24:00 2007 +0200

    Allow gmpc to be started hidden. using --start-hidden.
    Or the start-hidden=1 option in the config file.

commit 412cc3965c63640d7c1c00e63060408ae6a92ace
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 22:03:10 2007 +0200

    Fixing bug 1551

commit cd4e0559ce3372ab1e12f6ddc0160dacd991b2cd
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 21:13:51 2007 +0200

    Fixing bug 1588

commit 4741a2a9d6ce9190e48fcd17cc3d0908f1dd4d6b
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 20:49:38 2007 +0200

    Fix metadata browser not saving his current position to the wrong config key

commit d3a11cacaa623ace328f817e3c28b59ac20c0ccb
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 20:03:06 2007 +0200

    Show a message when a profile is added/removed.  Also add a function so you can add a new profile directly with a name.

commit 2ec11ab972b6a43a4967f39aafc05a617469bad5
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sun Oct 21 18:07:44 2007 +0200

    Fix broken browser updating (because of missing else in if , if else, else statenment)

commit a75793e47074cdfcefed7fb63483e3fb136d5035
Author: Qball Cow <Qball@sarine.nl>
Date:   Sun Oct 21 01:50:21 2007 +0200

    Adjust revision to git hash

commit 9b4eec95f883390e12d19aad17430f2cbd5e5bc9
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 20 23:07:35 2007 +0200

    Only set transient window if transient window is available

commit 176fa754104295ccdf5bc60aa897c39d3a0086d1
Author: Qball Cow <Qball@Sarine.nl>
Date:   Sat Oct 20 22:34:08 2007 +0200

    Fix typing error that caused playlist3-messages.c to be placed inside include/gmpc/ instead of playlist3-messages.h

commit 6bb2b42ce58ddfd323893039f8054c8de571fb38
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 20 18:19:29 2007 +0000

    Make popup windows transient for the main window
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7006 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 26d66b25bba2b0f396bed1a8a65f18bba7427f34
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 20 17:42:46 2007 +0000

    Make popup windows transient for the main window
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7005 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a7d2327ba25513de2b5b605b1191853e800e3b33
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 20 16:31:24 2007 +0000

    remove more printf spam
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7004 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e455b0036f4e0cf1e1af160fe5367b6051ad6ae4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 20 15:16:48 2007 +0000

    Fix segfault
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7003 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 94ecf5f02bde037596c7d61ccda6d6f963d78f52
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 20 14:58:04 2007 +0000

    Add a Gmpc::Signals object. For now it only contains a markup-changed signal, this is used by gmpc-mpddata-model for changing the markup used.
    
    Readd the markup editor in the interface preferences window.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7002 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0cae9ee6b5d176e082f9b25e11928765f51caa9d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 19 22:23:22 2007 +0000

    Fix configure script so --enable-mmkeys doesn't disable it
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7001 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 4889d11800e005cffc0ebf2fb8c0f323e14c99bd
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 19 21:27:24 2007 +0000

    Deleting of playlists can also happen with mpd < 0.13.0
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@7000 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 071d52b0f4a380ebbe3ba21be525a7977ab334ce
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 19 21:24:09 2007 +0000

    Remove alot of printf's
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6999 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f55e05c5ee6f355c14140b7df92abc9eb997a274
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 19 20:52:03 2007 +0000

    Add  a function to split version into 4 subversions (0.15.4.96-> 0 15 4 96)
    Check if the old version was below 0.15.4.98, if it was remove all the column configurations. to avoid crashing.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6998 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit bbe19a5e9206e62f6096ca2c123c18a37d8b2633
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Oct 18 20:50:56 2007 +0000

    Remove some files that won't belong in svn
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6989 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e94905aafed359866f56d45372b8b8fb6873c4af
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Oct 18 14:48:23 2007 +0000

    Make the artist-browser enable-able using configure flag (--enable-artistbrowser)
    Fix the --enable/--disable options in the configure script.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6988 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e3f65db683676daf86160c6dd139e4c5cd222d2b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Oct 18 13:57:42 2007 +0000

    Disable the artist browser, to enable it a define (ARTIST_BROWSER) needs to be set.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6987 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7eb442140cc2b56a8d9e070cb9f1fd2c03440d71
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Oct 17 20:20:40 2007 +0000

    fix g_object_unref to g_io_channel_unref
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6986 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8dac2f36c6e014258541d23b0f9ecebffd9721db
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Oct 17 20:18:39 2007 +0000

    Write messages to the message window also to a log file ~/.gmpc/gmpc.log
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6985 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 271e6a806ae9df3df2db493910df4e0822b2c995
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Oct 17 18:14:12 2007 +0000

    fix queueinfo request
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6984 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8324a962a71751b44b728f84751824c5ba407830
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Oct 17 17:23:06 2007 +0000

    show mpd error messages
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6982 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 452b2eec9928858275fdcad899b586064867fb0f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 16 21:57:29 2007 +0000

    Allow the user to set an x and y offset (always positive) in the configuration file.
    example:
    
    [tray-icon2]
    x-offset="-10"
    y-offset="30"
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6981 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 258737e38b65697a78327dac1ba03bd87644b0ae
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 16 13:43:55 2007 +0000

    Add missing icons
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6980 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 81cfc1307762e9de1a061e5673f5b27837044383
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 16 09:18:14 2007 +0000

    Add scalable icons
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6979 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0301b1e1d69b1508d790599ded47c4bd7f316d36
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Oct 14 20:29:06 2007 +0000

    workaround failing git-svn, this adds some images to the tag browser.
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6978 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2b8d0604b0fe94f78d3c51ee0c8696c64f4be104
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Oct 14 12:22:45 2007 +0000

    1. Don't update the meta data label in the lower left corner anymore.
    2. Update the label in the info-tooltip when the metadata changed
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6976 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6e676e5d6fd18c35e0627aa7e563e86519e5638e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 23:24:03 2007 +0000

    Add version to tooltip
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6975 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3d38024fa6a61d7c4525b5344adf208540afdfbc
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 23:13:24 2007 +0000

    Fix tooltip positioning and add extra information
    Metadata total and processing.
    and add header + change color background and add a little border
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6974 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 11a074059991f6772d8be87276ebbb84b91fa039
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 22:32:36 2007 +0000

    fix position of testing popup
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6973 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 73431e7e8680adec0a063ad1f55535e7546758ea
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 22:07:41 2007 +0000

    A first start at a small information window that quickly shows some info, like profile,ip/port etc
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6972 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9ba88519a6b850741111bc1894c0a34d64e84374
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 20:50:14 2007 +0000

    Add a little counter, need better position
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6971 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f010a5fd69324785837fc10173bd93a0bff2f83b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 13 19:34:26 2007 +0000

    Show atleast elapsed time when there is no totaltime.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6970 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5e4a21972c1e1e15b41f99e313b8a93a080a4820
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 12 22:36:53 2007 +0000

    gtk_window_set_opacity doesn't like GTK_WINDOW_POPUP, so if we are possible using opacity, build it using a normal TOPLEVEL window, and use hints to the window manager to make it act like a tooltip
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6968 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5fa2586eb626710322fc17e6dca7423976ec17af
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 12 22:02:28 2007 +0000

    Fix 0,8 -> 0.8
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6967 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 24cbffee109118be3376b50748189b25323b91a4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 12 20:34:27 2007 +0000

    Also make the title in the song information view selectable.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6966 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 24b52e2d2c22342f6342f6d16435d63cc69f623d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Oct 12 20:31:48 2007 +0000

    Slightly changing the composite detection, just for trying some stuff.
    This uses the gdk* stuff to detect a composited window.  This can be called from gtk+-2.10 shamefully the [gtk|gdk]_window_set_opacity is gtk+-2.12 only..
    
    2nd it makes the text in the metadata browser selectable. everything added by info2_add_table_item.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6965 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 41c4adefa65423634a7f53110deb13dbc9383336
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 9 20:16:12 2007 +0000

    Fix build breakage caused by wrong Define.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6963 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d15f213bde42252bd93bac7659539ed08f7eb385
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 9 20:09:38 2007 +0000

    Export extra header files like the gmpc-connection.h
    Fix the header file of gmpc-metaimage to include gmpc-connection.h when compiled for a plugin, with a special else/if for compiling inside gmpc (GMPC_BUILD define is used for this)
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6962 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e37fc034c403a5ce7d675da9db9fedc7313b1203
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 9 14:39:26 2007 +0000

    Use right composite functions
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6961 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ebbeef3e4aea9a156b90f0da534408fe34c43fa6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 9 08:37:56 2007 +0000

    1. If gtk+-2.0 >= 2.12.0 and the screen is composited show the "tooltip" with only 80% opacity.
    2. The background of the tooltip if forced while, but the fonts are theme-color. Change this to have the font-color forced black.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6960 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit dbf7381954ee7d7253db79701481aff0b7484d84
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Oct 8 11:22:09 2007 +0000

    Remove mix of direct pass signals from libmpd and the indirect from GmpcConnection object.
    Now libmpd only triggers the signals on GmpcConnection, and those are passed.
    This should keep things more predictable and in-order.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6958 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5067cbd4241a6f39fe42f494e8efbb9e0db47a33
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Oct 8 09:41:01 2007 +0000

    Only go to parent level in the file browser if the file-browser is the active browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6957 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b2c1e7573aaab2f85bf6d4e62f7b781baa05fbc6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Oct 8 09:33:46 2007 +0000

    Fixing some out of order signals.
    only start reconnecting AFTER the disconnect signal
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6956 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c57f065f268ca11e66630bf849d25c317f8923bb
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Oct 7 14:27:23 2007 +0000

    Fix the sensitivity error on the file system browser when disconnected
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6954 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8a84322da31f66e64fd8dd4f3088d1aabb50ab94
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Oct 6 23:20:58 2007 +0000

    Making a lock a _real_ thread-safe lock.
    This probably won't fix anything yet, but it sure is a more correct way of doing it.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6953 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a706574151872249c582b6faa876d2159f7755c3
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Oct 2 12:58:56 2007 +0000

    Add the add-more context menu item to the right mouse menu of the current playlist.
    Also move it in the playlist_search to the same position as used in the current-playlist
    This fixes bug 1585
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6951 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b71211937c72dfbc9589af277e3f781028a5816e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Sep 30 19:08:12 2007 +0000

    Move the advanced config screen to the bottom of the prefereces list
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6945 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b31c7656696b68e3588b90041cd19f993751d782
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Sep 30 19:01:29 2007 +0000

    Implementation of request 1555.
    
    It also changes the backend to the combo box to a filtered version of the pl3_tree. Removing 60 lines of code.
    
    Needs testing.
    
    (bug 1554 will be implemented later).
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6944 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c06ea7eccac4280911454e1f70c384f089f7005f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Sep 30 12:43:32 2007 +0000

    Fix compile warning on mac osX, that tries to include xglib.h header
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6939 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit afe6124e32053ad48619202bb0c7711149780fb0
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Sep 30 12:41:31 2007 +0000

    Updates, that stop compiler whining
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6938 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6c58206b1cccd72acc43980bd5137b0cdd3945eb
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Sep 29 12:06:19 2007 +0000

    Fix the popup showing when disabled, this also fixes an update issue with the popup labels
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6935 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e49523f9f73021b2267be665ec22ac4ca295beda
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 28 07:46:55 2007 +0000

    Fix commit before save sc*** up.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6932 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 317bfda04ffe331a93d7361bf14d10a45a0d9734
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 27 21:30:58 2007 +0000

    Putting a few things in place for advanced config windows, where f.e. the order of the categories can be defined.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6931 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 920739ae7780772c130ca54570a50143829a6822
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 17:09:46 2007 +0000

    Fix some data
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6926 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 266195fb87565b46e7107e23f450fa5b06a17a4a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 17:06:44 2007 +0000

    Move structure to named entries, making things more readable.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6925 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 80adef4cf8f402adb2794ed76d676bb96fb986b0
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 14:08:33 2007 +0000

    Playlist editor saved position in wrong field. fixed
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6924 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cd9543842baab3cfa8466edd2ce0706d9da90f4e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 13:52:19 2007 +0000

    Give the other browsers in gmpc the capability of saving themself.
    So now if browsers are reordered, on closing the changes should be saved.
    Next, build the moving interface.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6923 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 224c87df08e8bccd4a9c22105d8c5f7704599e79
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 13:51:43 2007 +0000

    Remove the destroying of the playlist from main.c and add it to the playlist3-current-playlist-browser.c.
    Add support for saving position in the current-playlist.
    Also added some debug-printf's for now, will be removed later.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6922 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3ebdae8ed030a6eec8065f725b5cebedaab5a891
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 13:51:17 2007 +0000

    Change the structure of the current-playlist plugin to .<fieldname> = <value>. This improve readability.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6921 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9d1a3042fc1c40548606bd569d9399f439ffa3f9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 25 13:50:51 2007 +0000

    Before destroying the plugins, loop over all plugins telling them to save themself.
    Plugins should f.e. save category_tree position in this callback. Also do things like disconnecting signal handlers that could force data to be saved if something changes.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6920 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a8c27aa2131670b558ab3d721ccdf40de5a62654
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 21:03:48 2007 +0000

    Add an extra field to the plugin field. The field, called 'save_yourself', is called when gmpc is about to destory the plugin. It gives the plugin time to save it state.
    Gmpc will handle it like the following:
    
    foreach plugin:
    	plugin->save_yourself();
    done
    
    foreach plugin:
    	plugin->destroy();
    done
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6919 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 31d239cb3f70c5103200bc95c5cad7a01975afeb
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 16:32:02 2007 +0000

    Trying to fix some memory leaks.
    unref the accell group after attaching it to the gtk::menu
    In playlist-list free the cached markup.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6918 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a62df642299cd9c37bbdaa484f89b94c9eaae912
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 15:59:40 2007 +0000

    Free the return value of gtk_tree_row_reference_get_path, this wasn't free'ed in alot of new code. Also a old, invalid comment was removed.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6917 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5b7aad42a96aea6e0a2b38cb03e982dc7ed222c2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 15:15:14 2007 +0000

    browsers/pl3-current-playlist.c: Fix error in clearing the playlist, only clear it when disconnected.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6916 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 10a5b46d7d58d9b94eccff924909b9f64de72dd1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 15:15:08 2007 +0000

    In current-playlist make more widgets static, also move the disconnect handling from mpd-interaction to the current-playlist.
    When destroying the current playlist remove the entry from the left pane and destroy the row-reference and treeview. To stop saving wrong config files values (the column position) disconnect the "columns-changed" signal before destroying.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6915 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 453c6391303ae2ecd38e71abce53d9380c10be5b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 24 09:13:11 2007 +0000

    Fix problem with missing activate signals on a right mouse menu containing a submenu.
    The error was caused because on a button-release-event the button parameter of gtk_menu_popup should be 0. If not 0, it will cause loss of keypresses on the submenu. (only on key-press it should the button that initiated it)
    
    This should also fix: bug 1577
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6914 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f4a14381aab75b7c5005f5ed78af7a7c702acead
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 21 22:22:21 2007 +0000

    bump version
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6910 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 45982777972df61f77770f395b1dea387a3f2e94
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 21 21:49:38 2007 +0000

    export misc.h for plugins to use
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6907 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit aecc5961e2a5a59663ad70534c350ac519910107
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 21 19:04:51 2007 +0000

    some cleanups
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6906 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e52b69020a2e00bf51b6ea298c2b0882303367d6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 20 16:09:46 2007 +0000

    fix another avutonish bug
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6904 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 41937d349c020fcd6d1e11ef43a9c0661dcea204
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 20 08:21:58 2007 +0000

    syncing
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6903 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 22ac1034b669129aeb09ed78a98407506d81adee
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 20 08:21:53 2007 +0000

    Fix more compile warnings
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6902 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0f431849006d78fb137854032f43076813b0e61f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 20 08:21:41 2007 +0000

    Allow streams to be viewed in the current song view, fixed forgotten change
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6901 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 209b95d0c85f023bc364cdb9311410635613ab2b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 20 08:21:35 2007 +0000

    Allow streams to be viewed in the current song view
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6900 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e8362db699abc47a3da6e50f831d6203e1dbd62c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 18 15:57:19 2007 +0000

    improve reordering of cateogory list and fix some other bugs that surfaced
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6899 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c5c81c7be1d8ac0061b6bd263769f108b9ae6636
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 17 19:08:01 2007 +0000

    Set first stuff into place to allow reordering category list
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6898 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit aa3ecde36e5a4244014239c444816752464bc2a6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 17 09:41:17 2007 +0000

    a small updating adding keybinding for the tag browser (needs fixing)
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6895 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7e2ba5eff72b08fff585b44589055d71eb76a3fc
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 17 09:41:12 2007 +0000

    possible fix for avuton's tray problem
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6894 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3636adcce992b91a6d23d4d5be4938475b9d8231
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Sep 16 14:15:15 2007 +0000

    extra space the ; for last.fm
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6890 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit bbfa200b33c742c0382f5237a159e44a8089ca58
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Sep 15 16:21:26 2007 +0000

    update sorting for tracks
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6889 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2f0c58f9a40fe18d986e4b2223430bffaa01c503
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 14 19:17:53 2007 +0000

    fix some stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6887 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 424eb8450a0b36f53e0586f7fa73e1b041b59db6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Sep 14 19:17:45 2007 +0000

    remove old tag browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6886 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 036c076547ef117c4679a50981fee8b7bd299aae
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 13 15:30:29 2007 +0000

    improve some more keybindings, and option to disable stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6885 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a0e9f28b03b4669a7ff4782ae52102a7cf6e6a90
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 13 15:30:23 2007 +0000

    fix severall bindings, make them visible in the go_menu
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6884 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 689402d1b2bb6935f7eaddc077b3353f879dd33f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 13 15:30:14 2007 +0000

    make the artist browser capable of being disabled
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6883 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 346fd07e31306351d0b5334814af06697df572f8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Sep 12 19:04:56 2007 +0000

    fix stupid bug with non-sensitive
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6882 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ee0e59403709bfe0d18f2bd63a91050efc282933
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 11 16:39:46 2007 +0000

    Add some comments and a small todo
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6880 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1e96c27204331e9281bdc5990b77a573e5a9c8c3
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Sep 11 16:39:40 2007 +0000

    Add tag2 browser into gmpc tree and disable old tag browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6879 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c6fa27bad88c519682ed2d219398651d53bd77bd
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 10 21:05:13 2007 +0000

    intltool downmerge to 0.21 again, somehow distro's don't ship a 3 year old intltool
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6877 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c46a767b7f824236ebb6da3f53f89eb22a5cdc73
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Sep 10 21:02:57 2007 +0000

    update intltool req to 0.31
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6876 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d086ca4805578dffc96be6cd5cdfb0794c94af1e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Sep 8 18:10:45 2007 +0000

    small fix and crash avoidance in wrong use
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6870 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6d004663eb1ded261464ae53e179b754644a64e7
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Sep 6 09:49:29 2007 +0000

    Fix the build error by making autogen run intltoolize
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6862 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1c38fbb4c005af5e03635675c6759aaa87426140
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Sep 5 18:40:28 2007 +0000

    Make name editable with full instant apply
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6854 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 408d4e9813b1fe6b5371c4012be159cdd901a99d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 21:06:54 2007 +0000

    no normalization but strdown
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6820 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 95f5193716de9ed1cb69d4c0afd1b5758c7a6f12
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 20:59:34 2007 +0000

    no normalization but strdown
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6819 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e5038e3943e840a50f1132f8eb78dadabd2fb346
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 20:54:33 2007 +0000

    make eulex and cervik a happy camper
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6818 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 47925b62823b2a46290250ccdeb3bed5c4714a91
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 19:03:11 2007 +0000

    use strcmp it's slightly faster
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6816 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1b47e50dad3bf44097ce90a74f76fce264055a07
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 12:20:21 2007 +0000

    Improve the cleandb function
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6813 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6b66057d0fccb228b26acd2b0d5ff28c88001844
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 26 09:30:37 2007 +0000

    fix title
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6812 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 866520e4e8ed332b5752dfac1a96e7d19d63d12f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Aug 24 10:08:07 2007 +0000

    fix some more stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6809 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 27904c9390791a280f7ff37cb749a398399e8d1b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Aug 24 09:40:26 2007 +0000

    Fix memory leak in profile system
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6808 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 41ddb4611294b1d7e975721a49f9da201ab8f4e9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Aug 23 10:40:59 2007 +0000

    fix a small variable length error
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6805 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b25ab32b504cf35b1ebc983a67247f5396267c80
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 20:34:44 2007 +0000

    fix build
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6802 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3f3706bcca9977bd44b8c65973bbd1e069f1327e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 20:29:30 2007 +0000

    fix build
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6801 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cc8af479ab9f421a2dcbc94000c29ff6a48c3e01
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 19:56:46 2007 +0000

    fix build
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6800 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 12022caef4749939e74aac193a21b896f52cc702
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 15:28:56 2007 +0000

    remove unneeded free
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6797 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3682b49f18535f2d7672ec1549d43f1c4649c97a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 15:25:20 2007 +0000

     fix memory leak in rasher patch
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6796 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 16f9ef2d83f4fa61815aaabd09a3c73af25bca26
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 22 10:04:41 2007 +0000

    Added patch 1548
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6795 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5eb13d54d4ef2efc0f9e04d0f0dc6d8e41ddea33
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 21 21:01:17 2007 +0000

    hack to make proxy work with libcurl
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6794 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 271e7e4914f7f908b16e6626ceb11fb43b8351d1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 21 19:59:55 2007 +0000

    updates
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6793 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0c50f0f7bb9725b51687de18da8c8d708ae273fd
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 21 19:59:49 2007 +0000

    fix some stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6792 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9e87ef962fcc1d6948b83a92f6cd7a2958567e7c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 21 19:59:43 2007 +0000

    update for win32
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6791 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2fc438c580742da39f4e720f262f53499b3c604c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 21 18:32:23 2007 +0000

    bump version
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6790 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9244c648ffad79979412dc377f64d488a6f2036a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 19:45:39 2007 +0000

    make show current song indirect
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6788 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 07018285022c40d7b955682ec1cea36db4e9073a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 19:32:22 2007 +0000

    fix error message image
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6787 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ccbaf29d1a84dd117d57ffc17ea23489d73974e4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 19:19:56 2007 +0000

    Hide go menu
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6786 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit da8a81f4b8c1ee18085dfaff686bb505ed391566
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 19:17:36 2007 +0000

    Remove current song inside view
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6785 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c05a0ed9d10baa6b0ef5404a0e6064914fe51ed2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 18:51:20 2007 +0000

    hide option menu when in mini mode
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6784 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3f26211c46a66081e7c1fa0af65ef141c5b81bf5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 18:19:29 2007 +0000

    possible fix for 1549
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6783 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c357b79f9bc7620e7dc93f22d65cf8d8eb292877
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 15:32:59 2007 +0000

    Update "View"
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6782 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 621b56d0e17a871d80d7990a86c351f4b6bb6bcb
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 15:11:27 2007 +0000

    fix for stable mpd
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6780 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9dfa4317623bcb5a0c3c9b98ff70b4c17e5d1033
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 15:08:39 2007 +0000

    Fix some translation of find artist in metadata browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6779 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit bc27c7431d6bdbeb5a802e1bc354276dfee7e781
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Aug 20 15:08:35 2007 +0000

    Updates i18n
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6778 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b54c9dc944a6300f21ec3e9a49a80235e2b0fac9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Aug 18 20:26:39 2007 +0000

    Fix avuton bug
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6755 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 799ce9aa9590d34c2db90a7a4a11473641c80e5b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Aug 18 19:40:55 2007 +0000

    fix plurals
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6754 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 395606a3b3ef5afabf847e3e2e96cef8839847c8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Aug 17 13:45:25 2007 +0000

    Add support for queue-ing, and several bug fixes
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6752 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c0d341c5c99fa14ef1c99b9ed7506ec0b0bc1a5c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 14 19:38:49 2007 +0000

    another small annoyance fixed
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6749 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ffc317d2a0f17b8e88c936d0051c7dc4cd4134c2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 14 19:35:54 2007 +0000

     hopefully cleaner fixing of osd thingy
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6748 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 17dcf629f3f548bd40ddcee842b27e6fdbbd2162
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 14 18:40:12 2007 +0000

    Fix tooltip
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6747 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1fb7c9e6804f7fed4cc3b503752329bda8188c6a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Aug 14 16:06:27 2007 +0000

    extended bacon to support display, add message window
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6746 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit fad395e54fa0703c1c0148c01d2143bd666166e2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Aug 11 16:18:47 2007 +0000

     fix 133
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6737 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6f261040ac0a54ceb1673994a52cfd0d8d9082e6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Aug 9 15:14:19 2007 +0000

    Force visible browser, and grid lines.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6730 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1c07d72c76dd22a5341e61e6171496c606acbda1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 8 21:30:46 2007 +0000

    removing dirty hack
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6729 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2d597589026432a3c74008b25276cc5424e3d932
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 8 21:23:51 2007 +0000

    hack to make the error slide close.. kind of dirty
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6728 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3d13efc5aa0a4e7876373b112a9d44c0198555ea
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 8 18:22:55 2007 +0000

    spelling
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6727 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6e6f0eb48d89708a1bf5c65938cd4f1e8be25162
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 8 18:19:33 2007 +0000

    A message when updating is started/finished
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6726 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 178d934736fbc5e7a70861d477c0bdfcf34977b1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Aug 8 18:19:25 2007 +0000

    Adding playlist3-messages
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6725 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a95ca46132180751e05589634da1ac61f026ca17
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 5 19:23:59 2007 +0000

    reload
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6711 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e2440a97ce8e6fcfc4b877b6461a6e324d225bd2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 5 14:54:28 2007 +0000

    hopefull fix icons
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6710 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7af9cd50fa044a26fd6ff9b97ce0925fe621cc40
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 5 14:44:35 2007 +0000

    stupid glade
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6709 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 09a5a53fff0fb11b69afcbca60acb4f148f4f20d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 5 14:37:59 2007 +0000

    scrolling on progress bar
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6708 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8397cb8b01ca7268a0e3e8079928a8794db265f0
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Aug 5 14:01:52 2007 +0000

    Add a secondhandsongs link to the song view
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6707 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5be8c3e3f6c72f38035c9137d6a1004027bd533c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jul 27 18:19:57 2007 +0000

     Some more data in the metabrowser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6705 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6e825b478548f9391f9a27c5d1bce68b31bc9e11
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jul 27 14:52:05 2007 +0000

     Fix positioning icon with dual-monitor setup, stupid regression after chaning to gtkstatusicon
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6704 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c93bf55c2961e509087c325ea6511f06061f821d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jul 27 12:50:37 2007 +0000

    fixing some stuff that didn't fix the arch problem
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6703 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7d3e151afab78f754f5531a65ba62e8f14ce20e1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 24 19:43:56 2007 +0000

    cleanup similar artist a little and add rename option
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6702 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1fbd0933e82e0056557d0f759d724a5fcd1dc5d1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 23 19:51:36 2007 +0000

    Add size offset
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6701 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cfe56d36c83bbc5faf7b5f463bd5d6037bf753ee
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 23 19:04:14 2007 +0000

    Cleanup the db
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6699 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b4eda3a02c1d01b858b6378354757e4cf60fbd4d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 20:36:36 2007 +0000

    More cleanup
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6698 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5606aad5e027c488e0603800067d4516cf05d4c7
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 20:02:22 2007 +0000

    cleanups
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6697 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2d907eeaa5e5ce90a1f3d002bd3fc39c9ef54258
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 19:53:12 2007 +0000

    d'n'd similar artist
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6696 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b732f28cfc6b6a2e24d55f304ab3db09e5b76f19
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 19:47:51 2007 +0000

    support for similar artist (initial)
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6695 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6047fc34b23d61e5b9a9b3658ed295f04087112a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 11:16:50 2007 +0000

    Fix play/pause text in mouse menu tray icon
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6693 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1c21c9de61070d455545604f0827d07cfd145f49
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 22 10:27:37 2007 +0000

    test
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6691 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 043bacf1bab39eec364b0e568cc65e08d15648a8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 17 17:25:34 2007 +0000

    fix bug 0001536
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6690 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0a3e5ec9e15acc86fb09254813516824a2337179
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 16 18:19:55 2007 +0000

    Fixing some stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6688 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0610d9d9271eff4dbc5e9518ee419349713ce0ec
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 14 21:41:10 2007 +0000

    cleanup
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6687 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 34275952cf73a789b25889218cef68320d66dfe3
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 14 19:17:55 2007 +0000

    reordable disabled in column editing, it should work, but doesn't so let it be
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6686 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ce19c6c66ffd1098484a979b67faa015a4cee05a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Jul 12 19:03:41 2007 +0000

    Fix some compile errors
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6685 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ec5b60b1b42ab1d8d6803bec4b91a520e91d22af
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 10 21:14:25 2007 +0000

    Also update currensong view when not visible
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6684 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 600700937da9f6fe42340af1e779d9383c00058e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 10 21:08:39 2007 +0000

    test
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6682 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1eb788b2eb3e55935009c4ad9b3906b61fde2cc2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 10 21:06:59 2007 +0000

    Remove old files
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6680 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2f14694cad16ffe6f1b06303452e0bcbdf90ac1c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 10 21:06:55 2007 +0000

    Allow metadata to show the current song. (via go menu)
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6679 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 31347bed17376b8963559c590acb1341ef670a2b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 10 15:06:47 2007 +0000

    fix for crash zaunmayrc
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6677 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0ffbad2d02f808de4964437a1281f8dfdf606e6d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 8 21:17:48 2007 +0000

    some more updates
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6676 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ba6c9a9bc0cec738eaf4a2e4dc7459e1aaa03132
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jul 8 19:46:54 2007 +0000

    Avuton's second big bug to fix, hopefully working now
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6675 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 42315a3ef1f441e851e327e23198aa3f1e4b4552
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 19:01:17 2007 +0000

    print filename in plugin error
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6674 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7fc4d833493edb2510f2cd16de31ec50dc14078d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 18:53:27 2007 +0000

    print filename in plugin error
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6673 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cc39f9e2d31b8c4777abca3b62fe756fcad19e5e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 18:46:00 2007 +0000

    print filename in plugin error
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6672 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9550482368d8efac200f3be3381c01304c7d0c36
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 18:44:55 2007 +0000

    Fixing typo
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6671 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2a2820074851505aaa254270f84e16dd720adb9e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 17:44:11 2007 +0000

    Fixing typo
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6670 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0d10726c6278e829923b7c423fcded0576346e4c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 17:29:13 2007 +0000

    test
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6669 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f495a702aa97f3ef49fcf7a1b3cfdc5d31cf7df1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jul 7 17:06:20 2007 +0000

    some update
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6668 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8bd7b16a5d2876c8612de4f55a5adee2b5e23fa6
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jul 6 18:19:40 2007 +0000

    pulsing while connecting, exp. error window
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6667 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit bf0a1b81e5d78525460ac481b15c02412a62f88c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 3 22:00:28 2007 +0000

    fix translation
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6666 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f9e2beff9c80d71b2d6a9fe47fd88ec0c4bc04ea
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jul 3 21:59:42 2007 +0000

    fix translation
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6665 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 36ece1d07b51560098be3270774087671b068716
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 2 18:44:30 2007 +0000

    fix keybinding
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6664 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c0bc5a9ebf7eee4e4683a024d1c55169c653971e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 2 18:26:37 2007 +0000

    add translation
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6663 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a11dd09d204da9f73f4ec9874733f1bbea789178
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jul 2 17:57:47 2007 +0000

    breaking everything
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6662 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 290ad734e9ee8dab8d6fdce492a59fe0f199dac8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jun 26 21:26:59 2007 +0000

    small things
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6659 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ea28dbee681009f8dfeffbb69c788a4322739bff
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 23 20:53:58 2007 +0000

    Some small fix
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6650 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 868c901ef643c5110955c8d3c8313323fcb2a96f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 23 15:07:26 2007 +0000

    Fix severall right mouse information view
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6648 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5f431f6489397a9ada69b550e902b3b51d73d3fe
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 23 14:40:31 2007 +0000

    If going to mi mode remove fullscreen/maximized state
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6647 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 865d1660cf003f4ae0efab2670478f7a5a3b3ef1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 22 19:57:39 2007 +0000

     ctrl-f in metabrowser goes to entry box, if visible..
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6646 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 08c0c971e94f0101beef7b256cc103810e7e3cfd
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 22 15:47:24 2007 +0000

    Adding a proxy page
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6645 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 850cb01b2e3a3c7d15c03c59a976b98929e51e25
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 22:05:22 2007 +0000

    fix right mouse behauviour artist browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6644 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit fdb820df4be1962f2377868a5be0c01b39a7ebb2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 22:02:54 2007 +0000

    fix right mouse behauviour
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6643 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7d8663b872bb55c5e78a29005ec76b58aff20275
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 18:32:26 2007 +0000

    fix warning
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6642 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 13ba3d0c66226b449ee790b40bd264ca95edf763
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 18:32:22 2007 +0000

    fix compile warning
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6641 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 96924478ea1ead8fc4c7c8feb7ff5549d7ecaf4c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 18:32:16 2007 +0000

    remove eggtrayicon
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6640 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 42cc39ebd67a04550edf395d78148e6e24136b9d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 20 18:32:11 2007 +0000

    cleanup wishlist
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6639 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 560988afd428e22bef126d5c816a92bfa7a3c4cd
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 18 21:13:31 2007 +0000

    Cleanups
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6638 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ca359df438cb69fb05a1f554d8d093cd7b8f6c2f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 18 21:13:26 2007 +0000

    Allow double click on artist/album button in metabrowser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6637 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f3bc10e4ceb95eb805c733c3f668aa07cf6cb8e5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 18 11:59:07 2007 +0000

    scale drag image
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6636 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ab8c95d122bae453401e0275441242915d196718
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 18 11:59:02 2007 +0000

    Cleanup and add some more code
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6635 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit dfdde8bac230426a24055040ee30e1ce011a9658
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 17 22:17:03 2007 +0000

    Drag shows widget
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6634 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 49e95891db978db51739d7432f0c507e157e92be
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 17 21:05:36 2007 +0000

    Cleaning up the metadata browser
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6633 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 182ba0beddf53c1934388b000f37d3f9586a92bc
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 17 14:29:47 2007 +0000

    remove a printf in playlist sorting
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6632 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 9a46cc86619580d8003143639389a6138356b88a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 17 14:28:20 2007 +0000

    remove a printf
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6631 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 04782081f8f983b7caf601283acd4ef864572123
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 16 18:31:25 2007 +0000

    Allow more and copy in drag Selection
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6629 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 817721581becddc9f51bb8cc6f06e2af0dcdf64e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 16 18:01:13 2007 +0000

    Cleanup interface of info
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6628 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d24b00f059a2101a2307d6e482d2fa6c4fb0d67d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 16 18:01:09 2007 +0000

    Giving lyric a backend.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6627 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 10f59af1677b14dc8f8f2a9d0673bd32f70b47e9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 15 22:18:40 2007 +0000

    more drag updates
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6626 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 490db34ac2022ad3037291358fb847c410fe7b95
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 15 21:23:12 2007 +0000

    updates
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6625 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 487be5d1b73c10e5b906dce19c6423355849db4e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 15 19:48:58 2007 +0000

    testing some stuff
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6624 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 68b374ba33c44e11dd22b970e044510a7d93cb9c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 13 14:06:43 2007 +0000

    Fix a possible segfault and remove the song-information window for now
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6620 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 4ceff00528697026ce0f3307b173b16a441d9b4f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 13 12:41:11 2007 +0000

    Remove stray printf and change add -> play
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6619 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f621b4107efa89f8c6ba9102963818055ce9ebe4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 13 11:46:19 2007 +0000

    dwmw2 patch for sorting
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6618 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c3c4010c613fb7137a9e52103285e3d93520165f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Jun 13 10:11:54 2007 +0000

    Small updates
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6613 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5a6aff39eb28216193fcf6d892216d25250e525f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jun 12 16:05:51 2007 +0000

    Fixing some left margins.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6553 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f31851e1f87cf69d6e56781c10e8e09269c833cf
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 21:39:06 2007 +0000

    Fixing some missing printf's
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6552 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1cb39e0ad0eef086f000cea39c5b601e276af36a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:46 2007 +0000

    small cleanups + comments
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6551 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d80f40ccca525f1b638ff030fbc389c259ff6542
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:39 2007 +0000

    Move directory functions to the plugin.h, so plugins can use it.
    Add an compile time option (--enable-configdir) that makes gmpc store it's config file in ~/.config/gmpc and the covers in ~/.config/covers.
    Plugins need to be told to use this..
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6550 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a8792557b0bc5562e978c4e95286de436a1c92c2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:33 2007 +0000

    Make a gmpc_get_cover_path function..
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6549 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 88d1083cefbf7e60c28ddedd7055a6e58c164111
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:30 2007 +0000

    Remove hack for glib < 2.8.6.
    Move from g_strdup_printf to g_path_build_filename to build path.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6548 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5bd926c65bb39e959eaf336d864901ed60ef19ba
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:26 2007 +0000

    Fix some comments, and set a config default value to the right define
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6547 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c760d4f3ec4bad7b9b6351ecf5b29088d23b7500
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:23 2007 +0000

    Bump version number, now that I made a 0.15.1 bug-fix release
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6546 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 18ddd788445c2a1248c0000e1a310c2fd1c6aaa9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:17 2007 +0000

    Use one function that gets  ~/.gmpc/, this allows for easy moving too ~/.config/gmpc/.
    Fix the cover.db on win32, it used unix path's.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6545 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit bd58ef19816dbc10e6833ec2e7ce22c4aa93ecb8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 11 16:49:13 2007 +0000

    Fix double removing of timeout in tray-icon2.c, witch could lead to unexpected bugs.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6544 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2d882984142614eee069331c8a60566b85c5e578
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 22:34:05 2007 +0000

    Clicking on tooltip image closes popup
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6542 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a1bc25d9926a85cfcfc4ebcd246588c04ac912d0
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 21:38:59 2007 +0000

    testing git
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6541 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 01cb5a00b6e6f8f966c9fd77e789d9b291adfa0e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 21:27:13 2007 +0000

    sync
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6540 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a367a1ac8be227bd0104234253bdbdaeb8ebdf80
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 19:29:53 2007 +0000

    update polish translation
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6539 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e77d4c650e2050b29e1ccd010ba447f443acb293
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 18:48:01 2007 +0000

    remove tray-icon.c and more intltool updates.
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6538 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 7aa375ff82decb1e46fb099bd1356f3a0b6bd438
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 18:22:12 2007 +0000

    translation stuff updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6537 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1f96e1ceac9de2efa5e8f14db7d72f1c2d025a85
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 16:35:52 2007 +0000

    remove unused tray icon compile flag
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6536 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 3671d8db039b580552dc722b2539bab6ff262bca
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 15:58:45 2007 +0000

    fix some memory leaks
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6533 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a46605f9f2912d199ef4b7571cd5412d34c6f397
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 15:02:16 2007 +0000

    fix destroying of widgets
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6532 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5e5757de6dd540a936febf10a47475eb921ad25a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 13:39:38 2007 +0000

    Avuton cleanup patch
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6531 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 56d1ad5f8435bc2d8873e58f57c82c30007ec864
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 10 07:53:24 2007 +0000

    some cleanups
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6530 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 278ba9502d954ddcbce809d7676bdb4e2cf92390
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 9 21:27:12 2007 +0000

    updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6528 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 225502bdd8415c02fb5d52c84a1daa06cb7b8e67
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 9 16:45:19 2007 +0000

    some more gui updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6526 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 32866ffef019d4855e85ca08a56e2cfed8bc5404
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 9 16:31:44 2007 +0000

    updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6525 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 56440d36b97923793a34c21c94229b5788ba62a1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 8 13:11:38 2007 +0000

    updates to tooltip
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6518 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a5b67dbc2293809b549d1724027fb97d2fe01097
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Jun 7 22:40:53 2007 +0000

     fix some stuff, I hope
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6506 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5d7a2f1fb29793c34d068f39311331ac8bd56298
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Jun 7 21:52:06 2007 +0000

    More updates on tooltip
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6505 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 40694b107d8163281e0877c07d9cf838ecc4e77f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu Jun 7 21:02:48 2007 +0000

    remove old tray icon
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6504 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c9e6acc7a7e9d3a26682353d891d30731d9e8d6e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Jun 5 18:05:16 2007 +0000

    Yet another header
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6489 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 733ef13d1c6ae4d7832c274216977bf460998b8f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 4 18:47:24 2007 +0000

    Make song info to metabrowser
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6478 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 931cdd3dd5ccf127c3e9c85a82ce31cf373ebfda
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Jun 4 15:22:43 2007 +0000

    adding gtkstatusicon
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6476 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 197178d4a6ca593bb9ffdc92dd6ab9528e3e4a0e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 3 20:14:42 2007 +0000

    remove id3info.*
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6475 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 93fec3ac08744d362129ef2a4fe99db8601447bc
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 3 19:50:17 2007 +0000

    cleanups and fixes
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6473 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit aa9707b453893bf23b9bef26459e92caef06c7e5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 3 14:34:29 2007 +0000

    plug some holes
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6466 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit df64c8a036164d127e7f57b977de2cd095ca6e8a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Jun 3 12:39:31 2007 +0000

    fix race condition
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6465 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 627460bda03be525ea43d5266f3d36b700c7d1ae
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 21:29:07 2007 +0000

    tag editing
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6460 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit f4320cba20633c94adeaf350854c17d4c3be15b1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 21:10:32 2007 +0000

    Allow editing of stuff
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6459 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit fd5b64bbde8b0dbe1ec1fd25df9741b549043913
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 19:35:41 2007 +0000

    fix help
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6458 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8e4c88e765328d26318e18b374e956e8d520e886
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 19:31:11 2007 +0000

    set right fetching text
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6457 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 59e072fa8a1162799d3fae08f84eb4bd38c4e692
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 18:44:44 2007 +0000

    fixing plugin build and other stuff
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6456 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit fe0b441d7739437599cf37be2730708a86b0e798
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 15:58:14 2007 +0000

    More breakage
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6451 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 70d0926b6f3116812ebd31a9ae9585e63d0644e4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Jun 2 11:30:35 2007 +0000

    More metasystem updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6450 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b90f40647a850146d8ba283e157f4f33db3cbc87
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 1 22:43:48 2007 +0000

    first start at better gmpc-meta-watcher, will break stuff
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6449 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 38ffa31200929d675a4ce9c5e439a61effbc2988
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Jun 1 20:44:57 2007 +0000

    add meta watcher
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6448 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 4a73ef5546beb0349d098f2c76fe58684a783cca
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 30 20:48:53 2007 +0000

    refresh images
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6404 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5b1ee34599addaccea4c99eea971455206f73069
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 30 19:59:46 2007 +0000

    Allow refetching of text
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6400 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2ba2ddb684dc8e86114b633d004e07fce0597ae8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 30 19:20:25 2007 +0000

    some fixes
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6399 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 088fc9b61c4f0047a029eddd2056f02a2ed32572
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 30 18:02:03 2007 +0000

    set wrapping
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6396 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1eb33409d6441bde36dac90c46bcb9f32597756b
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 30 17:56:29 2007 +0000

    Use custom text widget
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6395 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a675d9d23d3c39d127bdab3c95dc27b370dbe0ba
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 28 13:16:39 2007 +0000

    new icon, still in doubt
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6326 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c979ad511af35eaadd8880d9236b4d9562e755f7
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun May 27 14:29:04 2007 +0000

    fix compile warnings
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6305 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8f6fd7258c113de6535fb9688b11c0198a1233a5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun May 27 14:11:59 2007 +0000

    stop moving in playlist on mpd < 0.13.0
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6294 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 98d58d5a8db194b35a8703c18220f19a38c289b2
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 21:42:06 2007 +0000

    remove some printf's
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6287 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 234e64b7e0156c06055bc19911a49607bdd8248d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 21:03:55 2007 +0000

    play on replace
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6286 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 2df9c29ed75dae5d32ff6099cb874a1416c4f0da
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 20:58:17 2007 +0000

    fix check
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6285 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 553171df34d98113b85ff03a8a396a992ae6d19f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 20:44:39 2007 +0000

    add missing file
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6284 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c5dea986f63f339513a31e2cf52759ffdb478619
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 20:43:31 2007 +0000

    try order
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6283 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit eb3b1e3a79c8eca53bf6e2815dd83c2f3cb8d708
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 20:35:00 2007 +0000

    fix build
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6281 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e069c352cb08a97bf310a11e196223eb70374c0d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 26 20:33:14 2007 +0000

    Playlist moving song
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6280 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 960245810ee3acabc8afeede7be84ef1c01c7bfe
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri May 25 20:03:19 2007 +0000

    some updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6261 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 467ff81d8473fb6ee061d62b7e6170829ade7b82
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri May 25 10:13:27 2007 +0000

    more playlist editing
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6260 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 31193906e0771a7ff4d1e96dd1763033b29f78a7
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 24 22:12:41 2007 +0000

    speedup
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6259 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a0d3ff1e720345ca7f8040430356a823a33c7c8a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 24 22:07:42 2007 +0000

    add playlist editing fucntions, for testing mpd part
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6258 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e59cdf1fd8e9e6ac917d444aa680d71c8944653a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 24 21:49:41 2007 +0000

    more adding of features
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6256 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a2bb7e7a9576c3ccd8e265445302aa240f86060c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 24 14:46:50 2007 +0000

    updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6243 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6a72f353eedb2fe537adff5ea6ab3575b9383a10
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 23 12:29:49 2007 +0000

    bindings for outputs
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6233 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 143bc74a8b4610cb3f89f5cfb06fe694af55bd35
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 23 06:13:09 2007 +0000

    fix compile errors, I hope
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6226 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit b39e71b0a3239950682c06c6d1fb61ade9f04b75
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue May 22 22:12:17 2007 +0000

    something
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6223 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit e72087324b69b1919cc805413e1c2a82b8a8b3ce
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue May 22 21:30:48 2007 +0000

    some small other fixes
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6222 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 39fb44f82cddd9671d29e82483cf61b724c01bde
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue May 22 21:13:04 2007 +0000

    more playlist editing stuff
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6221 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0fb0b5624716c86089f2e24debe43e1ef10eaace
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue May 22 19:13:00 2007 +0000

    add IT translation
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6219 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 73a6c0dc473f5cae838203308fe2a63bcb4453f0
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue May 22 18:39:03 2007 +0000

    put playlist editor in gmpc
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6218 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cedca3d825b26f27d56db78b3fd51ac92b207f5d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 21 21:17:43 2007 +0000

    add update db to server menu
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6198 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 5a71246aff3eaa4f6e4349e2875b440cd8f09e21
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 21 21:05:03 2007 +0000

    Server menu item with outputs
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6197 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit aad33c300622b2730aa90bcc53afe654bf9d07d3
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 21 18:29:23 2007 +0000

    fix Makefile.am
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6195 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ba90bd85a62dee421c8984121b7596c09c895012
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 19 20:24:02 2007 +0000

    bump libmpd to 0.14.0
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6153 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 6b73ef505fde4cf46040c22839908766d2f75a1d
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 19 20:19:26 2007 +0000

    bump to 0.15.0
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6148 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 37e757681427bb543ee6bfe6caa4c17aa186bcf9
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 19 13:32:28 2007 +0000

    fix,I hope
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6142 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d0db41252124175f02b825d975a46e4929a16945
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 19 13:14:02 2007 +0000

    sync build makefile
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6141 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit abd19803b339fb62782254ffd4e0be9b01697e7c
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 17 15:48:14 2007 +0000

    updated translation pl
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6136 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1ef7f5d63b7f1efec46ff0f3f1f18c2fec437d96
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 17 12:01:09 2007 +0000

    Export some extra widgets for use in plugins.
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6135 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 92bb1e20a46941237ef32c5e5777737e2def3c02
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Thu May 17 11:54:39 2007 +0000

    Export some extra widgets for use in plugins.
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6134 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c2874fc8eebf3e67ee23fd8e7e476652ad0a0cee
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 16 19:13:45 2007 +0000

    bump version
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6127 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 75768416e92c30ced428ec691a16ad82a2eea5bc
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 16 15:28:20 2007 +0000

    updated de translation
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6119 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit ba5b600fce95c19ddce71f11a4be5259f51192ac
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 16 12:01:13 2007 +0000

    update po files
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6115 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8e82bc16a0ced11fa7ec7d131593f6c7646eff7a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 16 11:57:22 2007 +0000

    moving bacon stuff to subdir
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6114 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit be3e86afefcce84d953566095137e697621afc53
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 16 10:44:30 2007 +0000

    fix compile waring
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6113 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit eb7915c52efdc6ece0818d79d2b1d62797cf5551
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 12 21:31:10 2007 +0000

    more small cleanups
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6036 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 8f79be5e1b1ead25836d7039accf30c4b2e24d3e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 12 21:05:40 2007 +0000

    cleanups
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6035 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit fe89609c6d96d34cbc92372abd0166b53c8c22d4
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat May 12 20:40:58 2007 +0000

    fix warning
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@6034 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c1260397cbc8188d99853e0424ddcade4d65f06e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed May 9 00:20:53 2007 +0000

    updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5978 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 72a41ee8537bc1f1bd32c29fe90213d21876c308
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 7 16:11:58 2007 +0000

    Add needed changelog for dist
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5960 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 1bae00cdaff91e4febdd081093aa7fbbba1a9d5f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 7 15:50:51 2007 +0000

    Save version in config file
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5959 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 872d5207f04e410005c394ceffaaf9232eeb0341
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon May 7 10:18:29 2007 +0000

    strip markup from error messages of mmkeys
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5958 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 462d95ed62cbb1d572d46c7b6e75fda69bd524d8
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Mon Apr 16 15:41:02 2007 +0000

    unref object
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5919 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d03a32c62ec8d0a1b57f6b2d7b50cc4ab3fa634a
Author: jat <jat@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Apr 11 22:57:22 2007 +0000

    Adding support for an app icon on Windows.
    
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5911 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 31951e6452e10632bf89e2b3981a22041ca8c0ff
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Apr 11 18:49:26 2007 +0000

    more updates
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5910 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 27d66c78bff14ade0a713affb6b59cf2ec11dea5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Apr 10 21:10:37 2007 +0000

    compile fix
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5907 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 86b5ea6be393e257913fc96997a015ba81b02e6e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Apr 10 21:01:14 2007 +0000

    hack that might fix windows
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5906 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit beb19f4e189196004794e56d1c82d73afe0181f3
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Apr 10 14:26:17 2007 +0000

    bump version to 0.14.95
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5899 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit dc44368a739d1af20688a5116256c55f2d78e325
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Apr 10 14:20:34 2007 +0000

    update Makefile.build
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5898 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 34b65ea32f2267d242438c7cd4daade69d3c085e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Apr 8 13:40:40 2007 +0000

    Fix plugins under windows
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5887 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit d1cb9fa8c40743d77cebc6fade94205673e38c42
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Apr 8 13:18:41 2007 +0000

    Fix a windows path
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5879 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit c0b8ddec4203e364ac48ededf718712baa4c95cf
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sun Apr 8 13:15:15 2007 +0000

    Fix a windows path
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5878 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit a772efe77e5a4b19691378d04b2b4c3ab3a91a6f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Apr 7 15:30:01 2007 +0000

    remove printf
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5860 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 0fa36405c5b8d84b0b52d91c00ef0498fff9ef38
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Apr 7 15:14:51 2007 +0000

    debug printf'je
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5859 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit cb021cadb9ac4bd9aa7051421d08b30290d5c67e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Apr 7 13:20:06 2007 +0000

    make file columns show filename
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5858 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 41f4c8ec3ed36ceb1a6df4b2288b9a1a3cbe93d5
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Sat Apr 7 13:11:19 2007 +0000

    add a filename column to the playlist view
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5857 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit af19814c3af47ce82d820528b0e23572e50c487a
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Apr 6 10:55:51 2007 +0000

    remove some printf's so jat is happy
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5850 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 397aa2a2395e33d056608007076942015c8047f1
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Apr 6 10:54:27 2007 +0000

    fix icons in add more menu
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5849 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 22555374ebcdda60ff1bc618a92954fe0c568095
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Wed Apr 4 16:48:54 2007 +0000

    saner defaults
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5830 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 141063584d6a44100bf9d488d6b7da32ae3da76e
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Tue Apr 3 21:10:40 2007 +0000

    readd pointless builds to make jat happy
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5821 09075e82-0dd4-0310-85a5-a0d7c8717e4f

commit 220f615d2af93d51c7097192db04c574a696284f
Author: qball <qball@09075e82-0dd4-0310-85a5-a0d7c8717e4f>
Date:   Fri Mar 30 15:18:09 2007 +0000

    updated polish translation
    
    git-svn-id: https://svn.musicpd.org/gmpc/trunk@5784 09075e82-0dd4-0310-85a5-a0d7c8717e4f

